import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { styled } from 'styled-components';
import { Header } from './header.js';
import { Copy } from './copy.js';
const AuthorContainer = styled.div.withConfig({ displayName: "brc-sc-AuthorContainer", componentId: "brc-sc-70wmn2" }) `
  display: grid;
  grid-gap: 24px;
  align-items: center;
  box-shadow: 0 0 12px rgb(0 0 0 / 12%);
  border-radius: 4px;
  padding: 32px 40px;

  @media (${({ theme }) => theme.forLargerThanPhone}) {
    grid-template-columns: 25% 1fr;
  }
`;
const AuthorDetails = styled.div.withConfig({ displayName: "brc-sc-AuthorDetails", componentId: "brc-sc-1fke0v1" }) `
  display: grid;
  grid-gap: 8px;
  text-align: center;
  justify-items: center;
`;
const AuthorImg = styled.img.withConfig({ displayName: "brc-sc-AuthorImg", componentId: "brc-sc-1l539fd" }) `
  border-radius: 50%;
  max-width: 100px;
`;
export const AuthorCard = ({ description, img, imgAlt, name, title }) => (_jsxs(AuthorContainer, { children: [_jsxs(AuthorDetails, { children: [_jsx(Header, { children: "ABOUT AUTHOR" }), _jsx(AuthorImg, { src: img, alt: imgAlt }), _jsx(Header, { size: "sm", children: name }), _jsx(Copy, { light: true, children: title })] }), _jsx(Copy, { children: description })] }));
//# sourceMappingURL=author-card.js.map