import { Banner } from './banner.js';
import type { InferComponentProps } from './types.js';
declare const expandedStyles: {
    readonly error: {
        readonly primaryColor: "navStatusNegative";
        readonly secondaryColor: "navStatusNegative200";
        readonly defaultIcon: "actions/circle-warning";
        readonly defaultActionIcon: "actions/close";
    };
    readonly neutralAction: {
        readonly primaryColor: "navNeutral400";
        readonly secondaryColor: "navNeutral100";
        readonly defaultIcon: "actions/circle-info";
        readonly defaultActionIcon: "actions/carrot-right";
    };
    readonly success: {
        readonly primaryColor: "navStatusPositive";
        readonly secondaryColor: "navStatusPositive200";
        readonly defaultIcon: "actions/check-circle";
        readonly defaultActionIcon: "actions/close";
    };
};
type StyleKey = keyof typeof expandedStyles;
type BannerToastProps = InferComponentProps<typeof Banner> & {
    onDismiss?: () => void;
    shouldNotTimeout?: boolean;
    shouldShowTimedBar?: boolean;
    time?: number;
    type?: StyleKey;
};
/**
 * This works just like the Banner, but it has an expanded types list. Should be used for top level messages
 *
 * @deprecated This component is deprecated and will be removed in a future release. Avoid using it in new code.
 */
export declare const BannerToast: ({ onDismiss, shouldNotTimeout, type, time, shouldShowTimedBar, ...props }: BannerToastProps) => import("react/jsx-runtime").JSX.Element;
export {};
