import { InputHTMLAttributes } from 'react';
export type BaseStringInputProps = Omit<InputHTMLAttributes<HTMLInputElement>, 'value' | 'type' | 'checked'> & {
    value?: string;
    /** For the rare case that an uncontrolled input is needed. Otherwise the input is always controlled, even if value is
     * `undefined`. This is to allow initial values for input fields to be `undefined` without getting warnings from React
     * that an input switched from uncontrolled to controlled */
    uncontrolled?: boolean;
};
export declare const BaseStringInput: import("react").ForwardRefExoticComponent<Omit<InputHTMLAttributes<HTMLInputElement>, "type" | "value" | "checked"> & {
    value?: string;
    /** For the rare case that an uncontrolled input is needed. Otherwise the input is always controlled, even if value is
     * `undefined`. This is to allow initial values for input fields to be `undefined` without getting warnings from React
     * that an input switched from uncontrolled to controlled */
    uncontrolled?: boolean;
} & import("react").RefAttributes<HTMLInputElement>>;
