import { type Brand } from '@navinc/utils';
import { ChangeEventHandler } from 'react';
import { TargetValue } from '../shared.js';
import { BaseStringInputProps } from '../base-string-input/base-string-input.js';
export type USDCents = Brand<number, 'USDCents'>;
type UpdatedHTMLInputElement = TargetValue<HTMLInputElement, USDCents>;
export declare const toUSDCents: (valueAsCents: number) => USDCents;
export type BaseUSDInputProps = Omit<BaseStringInputProps, 'value' | 'onChange'> & {
    withCents?: boolean;
    value?: USDCents;
    onChange?: ChangeEventHandler<UpdatedHTMLInputElement>;
};
export declare const BaseUSDInput: import("react").ForwardRefExoticComponent<Omit<BaseStringInputProps, "onChange" | "value"> & {
    withCents?: boolean;
    value?: USDCents;
    onChange?: ChangeEventHandler<UpdatedHTMLInputElement>;
} & import("react").RefAttributes<HTMLInputElement>>;
export {};
