import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { BlockQuote } from './block-quote.js';
import { renderWithContext } from './tests/with-app-context.js';
import { screen } from '@testing-library/react';
describe('Block Quote', () => {
    it('test the children of the block quote', () => {
        renderWithContext(_jsx(BlockQuote, { children: "hello there" }));
        expect(screen.getByText('hello there')).toBeInTheDocument();
    });
    it('make sure that color props go though', () => {
        renderWithContext(_jsx(BlockQuote, { color: "navPrimary", children: "general kenobi" }));
        expect(screen.getByText('general kenobi')).toBeInTheDocument();
    });
});
//# sourceMappingURL=block-quote.spec.js.map