import { clsx } from 'clsx';
import { extendTailwindMerge } from 'tailwind-merge';
const twMerge = extendTailwindMerge({
    extend: {
        classGroups: {
            'font-size': [
                'text-display1',
                'text-display2',
                'text-title1',
                'text-title2',
                'text-title3',
                'text-headline',
                'text-body1',
                'text-body2',
                'text-caption1',
                'text-caption2',
            ],
        },
    },
});
/** combines tailwind-merge and clsx to conditionally combine classnames and properly override based on order of classnames */
export const cn = (...inputs) => twMerge(clsx(inputs));
//# sourceMappingURL=cn.js.map