import { DetailedHTMLProps, HTMLAttributes } from 'react';
export declare const defaultSize = "md";
export declare const sizeVariants: {
    readonly xxs: {
        readonly fontSize: "10px";
        readonly lineHeight: "14px";
    };
    readonly xs: {
        readonly fontSize: "12px";
        readonly lineHeight: "18px";
    };
    readonly sm: {
        readonly fontSize: "14px";
        readonly lineHeight: "20px";
    };
    readonly md: {
        readonly fontSize: "16px";
        readonly lineHeight: "24px";
    };
    readonly lg: {
        readonly fontSize: "18px";
        readonly lineHeight: "27px";
    };
};
declare const boldVariants: {
    regular: {
        fontWeight: number;
    };
    semiBold: {
        fontWeight: number;
    };
    bold: {
        fontWeight: number;
    };
};
type BoldKey = keyof typeof boldVariants;
export type SizeKey = keyof typeof sizeVariants;
type SizeProp = keyof (typeof sizeVariants)['xxs'];
export declare const getSize: ({ size }: {
    size?: SizeKey;
}) => {
    readonly fontSize: "10px";
    readonly lineHeight: "14px";
} | {
    readonly fontSize: "12px";
    readonly lineHeight: "18px";
} | {
    readonly fontSize: "14px";
    readonly lineHeight: "20px";
} | {
    readonly fontSize: "16px";
    readonly lineHeight: "24px";
} | {
    readonly fontSize: "18px";
    readonly lineHeight: "27px";
};
export declare const getFromSize: (prop: SizeProp, fallback?: string) => ({ size }: {
    size?: SizeKey;
}) => "12px" | "16px" | "20px" | "24px" | "10px" | "14px" | "18px" | "27px";
export declare const getVariableSize: ({ size, shouldScaleFont, }: {
    size?: SizeKey;
    shouldScaleFont?: boolean;
}) => {
    readonly fontSize: "10px";
    readonly lineHeight: "14px";
} | {
    readonly fontSize: "12px";
    readonly lineHeight: "18px";
} | {
    readonly fontSize: "14px";
    readonly lineHeight: "20px";
} | {
    readonly fontSize: "16px";
    readonly lineHeight: "24px";
} | {
    readonly fontSize: "18px";
    readonly lineHeight: "27px";
};
export declare const getFromVariableSize: (prop: SizeProp, fallback?: string) => ({ size, shouldScaleFont }: {
    size?: SizeKey;
    shouldScaleFont?: boolean;
}) => "12px" | "16px" | "20px" | "24px" | "10px" | "14px" | "18px" | "27px";
export type CopyProps = {
    bold?: boolean;
    shouldScaleFont?: boolean;
    light?: boolean;
    size?: SizeKey;
    boldType?: BoldKey;
} & DetailedHTMLProps<HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>;
/**
 * @deprecated Use `CopyVariant as Copy` instead.  This component will be removed in a future release.  CopyVariant replaces Header, Copy, and Text.
 */
export declare const Copy: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<{
    bold?: boolean;
    shouldScaleFont?: boolean;
    light?: boolean;
    size?: SizeKey;
    boldType?: BoldKey;
} & import("react").ClassAttributes<HTMLParagraphElement> & HTMLAttributes<HTMLParagraphElement>, never>> & string & Omit<({ bold: _bold, shouldScaleFont: _shouldScaleFont, boldType: _boldType, light: _light, ...props }: CopyProps) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>;
export {};
