/* eslint-disable no-irregular-whitespace */
/* eslint-disable no-useless-escape */
export const singleArticle = {
    author: {
        name: 'gerri',
        bio: 'Credit expert Gerri Detweiler is education director for Nav. She has more than three decades of experience in consumer credit education, has been interviewed in more than 3500 news stories, and answered over 10,000 credit questions online. Her articles have been widely syndicated on sites such as MSN, Forbes, and MarketWatch. She is the author or coauthor of five books, including Finance Your Own Business: Get on the Financing Fast Track. She has testified before Congress on consumer credit legislation.',
        jobTitle: 'Education Director for Nav',
        image: 'https://www.nav.com/wp-content/uploads/2016/04/Gerri-Detweiler-96x96.jpg',
    },
    content: `<p>
	<span style="font-weight: 400;">When Congress created the Pandemic Unemployment Assistance as part of the CARES Act it made </span>
	<a href="https://www.nav.com/blog/frequently-asked-questions-about-unemployment-for-the-self-employed-611014/?utm_source=navsource&amp;utm_medium=content&amp;utm_campaign=9_Unemployment_and_Coronavirus_Questions_Answered">
		<span style="font-weight: 400;">unemployment benefits available to the self-employed</span>
	</a>
	<span style="font-weight: 400;"> as well as workers who may not be able to work for a variety of COVID-related reasons. Pandemic Unemployment Compensation (PUC) added an additional $600 weekly payment through July 31, 2020 to certain eligible individuals who are receiving other benefits. And Pandemic Emergency Unemployment Compensation (PEUC) extends certain benefits. </span>
  </p>\n
  <p>
    <span style="font-weight: 400;">All of these programs provide some welcome relief to those who qualify. But they’ve also created lots of questions from small business owners and their employees. Here legal experts tackle questions you may be hearing from your employees, or wondering about for your own business. </span>
  </p>\n
  <p>
    <span style="font-weight: 400;">Please note, the opinions in this article are for informational purposes only, are general in nature, and should not be relied upon or construed as a legal opinion or legal advice. Employers and employees should consult their own attorney for advice about their specific situation. </span>
  </p>\n
  <h2>
    <span style="font-weight: 400;">1: What happens if my employer brings me back to work and pays me back pay for time where I was collecting unemployment already? </span>
  </h2>\n
  <blockquote>
    <p>
      <span style="font-weight: 400;">My employer laid us off on March 19th and directed us to apply for unemployment. I got a call on April 17th saying they were getting the PPP loan and they may pay us on April 24th. I had been on unemployment before this. We did end up getting the payment from my employer on the 24th but we have not been asked to come in and work.  How do I report this on my weekly claim to unemployment? Would it be considered a severance payment? Can I still receive unemployment?</span>
    </p>\n
    <p>
      <span style="font-weight: 400;">On my weekly unemployment claim there is no option for reporting this. It only asks if we worked. And on the pay stub I was sent it says the pay period was for 4/6 to 4/19 but I already filed claims for those weeks before I even knew about this. Will I have to pay my UI benefits back? </span>
    </p>
  </blockquote>\n
  <p>
    <span style="font-weight: 400;">Answer from Ian Meklinsky, Partner, </span>
    <a href="https://www.foxrothschild.com/">
      <span style="font-weight: 400;">Fox Rothschild</span>
    </a>
    <span style="font-weight: 400;">:</span>
  </p>\n
  <p>
    <span style="font-weight: 400;">In the event your employer returns you to work and pays you “back pay” for some or all of the time you were laid off/furloughed, in most states, you are technically required to repay your unemployment compensation benefit at least with respect to the time period your employer is paying you retroactively for.  With that said, states may not have the bandwidth to pursue repayment of the unemployment compensation benefits but you should be prepared to repay.</span>
  </p>\n
  <h2>
    <span style="font-weight: 400;">2: What happens to workers who are brought back at reduced pay? </span>
  </h2>\n
  <blockquote>
    <p>
      <span style="font-weight: 400;">I’m currently on unemployment and my employer got approved for the ppp loan. He stated when the funds come in I can no longer collect unemployment (which I understand) and told me that I will be working 20 hours a week instead of 40 hours a week. I’m a server. I will not be making enough to get by. Will I still be eligible for unemployment?</span>
    </p>
  </blockquote>\n
  <p>
    <span style="font-weight: 400;">Answer by Travis Hockaday, Attorney at </span>
    <a href="https://www.smithlaw.com/">
      <span style="font-weight: 400;">Smith Anderson</span>
    </a>
    <span style="font-weight: 400;">:</span>
  </p>\n
  <p>
    <span style="font-weight: 400;">Workers who are working reduced hours as a direct result of COVID-19 may be eligible for unemployment benefits, and should apply if they believe that they may qualify.  For instance, in North Carolina, an employee working reduced hours because of a COVID-19-related reason may still be eligible.  However, according to the North Carolina Division of Employment Security, the amount of money that these employees earn while working their reduced hours could affect their weekly benefit amounts.  They can earn up to 20% of their weekly benefit amount without the earnings  counting against their weekly benefits; earnings over that amount are deducted from the weekly benefits.  These workers must report the money they are earning on their weekly certification reports for unemployment benefits. </span>
  </p>\n
  <h2>
    <span style="font-weight: 400;">3. Can my employer force me to come into the workplace because they are paying us after obtaining PPP? </span>
  </h2>\n
  <blockquote>
    <p>
      <span style="font-weight: 400;">I’m a Dental Assistant and our office has been shut down except for emergencies. My employer is approved for a PPP loan. This means all of the employees will go off unemployment and she will pay us. Can the Dentist make us work in the office if it is non-essential? Doing menial jobs?</span>
    </p>
  </blockquote>\n
  <table>\n
    <tbody>\n
      <tr>\n
        <td>
          <b>Personal Credit Score</b>
        </td>\n
        <td>
          <b>Score Range</b>
        </td>\n
      </tr>\n
      <tr>\n
        <td>FICO (by Fair Isaac Corporation)</td>\n
        <td>300 &#8211; 850</td>\n
      </tr>\n
      <tr>\n
        <td>VantageScore (jointly introduced by Equifax, TransUnion, and Experian)</td>\n
        <td>300 &#8211; 850</td>\n
      </tr>\n
    </tbody>\n
  </table>\n
  <p>
    <a href=\"https://www.vantagescore.com/who-uses-our-model\" rel=\"nofollow&quot;\">VantageScore</a>
    <br />\nreports that its scores are steadily gaining popularity among lenders. However, the much older 
    <a href=\"https://www.myfico.com/credit-education/fico-scores-bridge\" rel=\"nofollow&quot;\">FICO reports</a> that 90% of top lenders use FICO Scores when making (personal) lending decisions.
  </p>\n
  <table>\n
    <tbody>\n
      <tr>\n
        <td>
          <b>Business Credit Score</b>
        </td>\n
        <td>
          <b>Score Range</b>
        </td>\n
      </tr>\n
      <tr>\n
        <td>PAYDEX Score (by Dun &amp; Bradstreet)</td>\n
        <td>0 &#8211; 100</td>\n
      </tr>\n
      <tr>\n
        <td>Intelliscore PlusSM (by Experian)</td>\n
        <td>0 &#8211; 100</td>\n
      </tr>\n
      <tr>\n
        <td>FICO LiquidCredit Small Business Scoring Service or FICO SBSS (by Fair
          <br />\nIsaac Corporation)
        </td>\n
        <td>0 &#8211; 300</td>\n
      </tr>\n
      <tr>\n
        <td>
          <a href=\"https://www.nav.com/business-credit-scores/equifax-business-credit-reports/?utm_source=nav&amp;utm_medium=Content&amp;utm_campaign=biz_vs_perscredit\">Equifax Business Credit Scores</a>
          <br />\n(10 or more options)
        </td>\n
        <td>Range varies depending upon the score type used.</td>\n
      </tr>\n
    </tbody>\n
  </table>`,
    dateGmt: '2020-07-02T15:00:55',
    modifiedGmt: '2022-03-01T20:19:44',
    excerpt: '<p>When Congress created the Pandemic Unemployment Assistance as part of the CARES Act it made unemployment benefits available to the &hellip; <a href="https://www.nav.com/?syndicate=9-unemployment-and-coronavirus-questions-answered-639853">Continued</a></p>\n',
    title: '9 Unemployment and Coronavirus Questions Answered',
};
//# sourceMappingURL=article.js.map