declare const variants: {
    readonly xl: {
        readonly fontFamily: "Manrope, sans-serif";
        readonly fontSize: "56px";
        readonly lineHeight: "1.143em";
        readonly htmlElement: "h1";
    };
    readonly lg: {
        readonly fontFamily: "Manrope, sans-serif";
        readonly fontSize: "48px";
        readonly lineHeight: "1.167em";
        readonly htmlElement: "h2";
    };
    readonly md: {
        readonly fontFamily: "Manrope, sans-serif";
        readonly fontSize: "32px";
        readonly lineHeight: "1.125em";
        readonly htmlElement: "h3";
    };
    readonly sm: {
        readonly fontFamily: "Manrope, sans-serif";
        readonly fontSize: "24px";
        readonly lineHeight: "1.333em";
        readonly htmlElement: "h4";
    };
    readonly xs: {
        readonly fontFamily: "Manrope, sans-serif";
        readonly fontSize: "20px";
        readonly lineHeight: "1.4em";
        readonly htmlElement: "h5";
    };
};
type VarientOptions = keyof typeof variants;
type HeaderProps = {
    size?: VarientOptions;
};
/**
 * @deprecated Use `CopyVariant as Copy` instead.  Use `component='h#'` to turn any Copy component into a Header tag.  This component will be removed in a future release.  CopyVariant replaces Header, Copy, and Text.
 *
 * Note: Header 'xl' and 'lg' size down to 'lg' and 'md' respectively on mobile.
 */
export declare const Header: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("styled-components/dist/types").Substitute<import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>>, HeaderProps>, HeaderProps>> & string;
export {};
