import { objectKeys, toKebabCase } from '@navinc/utils';
import * as actions from './actions/index.js';
import * as buildings from './buildings/index.js';
import * as business from './business/index.js';
import * as data from './data/index.js';
import * as feedback from './feedback/index.js';
import * as financing from './financing/index.js';
import * as food from './food/index.js';
import * as medical from './medical/index.js';
import * as others from './others/index.js';
import * as people from './people/index.js';
import * as seasons from './seasons/index.js';
import * as system from './system/index.js';
import * as tech from './tech/index.js';
import * as logos from './logos/index.js';
export const iconList = {
    actions,
    buildings,
    business,
    data,
    feedback,
    financing,
    food,
    medical,
    others,
    people,
    seasons,
    system,
    tech,
    logos,
};
export const iconsMap = Object.entries(iconList).reduce((all, [key, values]) => {
    return Object.assign(Object.assign({}, all), Object.entries(values).reduce((x, [name, icon]) => (Object.assign(Object.assign({}, x), { [`${toKebabCase(key)}/${toKebabCase(name)}`]: icon })), {}));
}, {});
export const listOfIcons = Object.entries(iconList)
    .map(([key, values]) => {
    return objectKeys(values).map((value) => {
        return `${key}/${value}`;
    });
})
    .flat();
export default iconList;
//# sourceMappingURL=index.js.map