import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it } from 'vitest';
import { renderWithContext } from '../tests/with-app-context.js';
import { screen } from '@testing-library/react';
import { UniversalComponent } from '../universal-component.js';
import * as iconList from './index.js';
function camelize(str) {
    const arr = str.split('-');
    const capital = arr.map((file, index) => (index ? file.charAt(0).toUpperCase() + file.slice(1).toLowerCase() : file));
    const capitalString = capital.join('');
    return capitalString;
}
describe('Icons export properly', () => {
    it('Can import a component using Wordpress syntax', () => {
        const name = 'actions/arrow-up';
        const split = camelize(name).split('/');
        const Icon = iconList.default[split[0]][split[1]];
        renderWithContext(_jsx(UniversalComponent, { as: Icon }));
        expect(screen.getByTestId('icon:arrow-up')).toBeInTheDocument();
    });
});
//# sourceMappingURL=index.spec.js.map