import { ReactElement } from 'react';
import { IconName } from './icons/index.js';
import { Button } from './button.js';
import { DataAttributes, InferComponentProps } from './types.js';
type Status = 'default' | 'error';
type AlertBannerProps = {
    title: string;
    desc: string;
    icon?: IconName;
    status?: Status;
    renderPrimaryBtn?: (props: InferComponentProps<typeof Button> & DataAttributes) => ReactElement;
    renderSecondaryBtn?: (props: InferComponentProps<typeof Button> & DataAttributes) => ReactElement;
};
export declare const AlertBanner: ({ title, desc, icon, status, renderPrimaryBtn, renderSecondaryBtn, ...props }: AlertBannerProps) => import("react/jsx-runtime").JSX.Element;
/**
An information banner with preset alert status icon colors. Used for notifying customers of things such as: failed repayment, payment pending, Plaid connection issue, etc.

The `showPrimary` and `showSecondary` prop controls are only for demonstration purposes and are not part of the actual component. Please pass `renderPrimaryBtn` and `renderSecondaryBtn` respectively.

 */
export declare const InfoBanner: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<AlertBannerProps, never>> & string & Omit<({ title, desc, icon, status, renderPrimaryBtn, renderSecondaryBtn, ...props }: AlertBannerProps) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>;
export {};
