import { SizeKey } from './copy.js';
import { JSX } from 'react';
type ListItemProps = {
    light?: boolean;
    bold?: boolean;
    size?: SizeKey;
};
export declare const ListItem: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<import("react").DetailedHTMLProps<import("react").LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, ListItemProps>> & string;
/**
# List

```
<UnorderedList>
    <ListItem bold>First Li Child</ListItem>
    <ListItem light>Second Li Child</ListItem>
    <ListItem size="sm">Third Li Child</ListItem>
</UnorderedList>

```

UnorderedList - `<ul>` bulleted list
OrderedList - `<ol>` numbered list

It is recommended to use the `ListItem` component as the li child of `UnorderedList` and `OrderedList`

# ListItem

```
    <ListItem bold>First Li Child</ListItem>
```

The `ListItem` component uses the nav's styleguide for styling the html `li` element.

## Props

### `bold`

The `bold` is a boolean prop for adjusting the weight of the `li`

### `light`

The `light` is a boolean prop for adjusting the weight of the `li`

### `size`

The `size` adjusts the font-size of the `li` options are `md`, `sm`, `xs` and `xxs`

 */
export declare const UnorderedList: (props: JSX.IntrinsicElements["ul"]) => import("react/jsx-runtime").JSX.Element;
export declare const OrderedList: (props: JSX.IntrinsicElements["ol"]) => import("react/jsx-runtime").JSX.Element;
export {};
