import { InferComponentProps } from './types.js';
declare const LoadingWrapper: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
type LoadingWrapperProps = InferComponentProps<typeof LoadingWrapper>;
export interface FormLayoutProps extends LoadingWrapperProps {
    loadingMessage?: string | string[];
    messageDelay?: number;
    fullScreen?: boolean;
}
/**
 * A loading spinner that pulses with color and displays a message or an array of messages.
 *
 * @description Adds a loading spinner with a pulsing color animation and a message.
 *
 * @param loadingMessage - A string or array of strings. NOTE: keep to a max char length of 30.
 * @param messageDelay - The time in milliseconds to wait before changing the message. Default is 2000ms.
 * @param fullScreen - Whether the spinner should take up the full screen.
 *
 * @returns A loading Nav logo with a pulsing color animation and an optional message.
 */
export declare const LoadingPulse: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<FormLayoutProps, never>> & string & Omit<({ loadingMessage, messageDelay, fullScreen, ...props }: FormLayoutProps) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>;
export {};
