var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Formik } from 'formik';
import VMasker from 'vanilla-masker';
import { isEmpty, objectKeys, defaultPasswordValidator as passwordValidator, USStatesAndTerritories, } from '@navinc/utils';
import { styled } from 'styled-components';
import { Input } from './input.js';
import { Select } from './select.js';
import { Header } from './header.js';
import { Copy } from './copy.js';
import { Text } from './text.js';
import { 
// getCachedValues,
// setCachedValues,
CardHeader, CreateAccountHeader, CreateAccountWrapper, DisclaimerText, ErrorsMessage, InfodrawerCopyWrapper, LegalCheckbox, StyledCDNAsset, StyledForm, StyledIcon, StyledStandardCard, SubmitButton, TwoColumn, } from './sba-form.js';
const StyledHeader = styled(Header).withConfig({ displayName: "brc-sc-StyledHeader", componentId: "brc-sc-13s1bym" }) `
  margin-bottom: 8px;
`;
const StyledSubHeader = styled(Copy).withConfig({ displayName: "brc-sc-StyledSubHeader", componentId: "brc-sc-18r5cws" }) `
  margin-bottom: 16px;
`;
const GridRow = styled.div.withConfig({ displayName: "brc-sc-GridRow", componentId: "brc-sc-2q7eh6" }) `
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 16px;
`;
const HeaderSection = styled.div.withConfig({ displayName: "brc-sc-HeaderSection", componentId: "brc-sc-2aq5re" }) `
  text-align: center;
  padding-bottom: 8px;
`;
const CopySection = styled.div.withConfig({ displayName: "brc-sc-CopySection", componentId: "brc-sc-2ekq3b" }) `
  display: grid;
  grid-gap: 16px;
`;
const BulletSection = styled.div.withConfig({ displayName: "brc-sc-BulletSection", componentId: "brc-sc-kchchu" }) `
  display: grid;
  grid-gap: 8px;
  grid-template-columns: 32px 1fr;
  padding-top: 8px;
`;
const FlexDiv = styled.div.withConfig({ displayName: "brc-sc-FlexDiv", componentId: "brc-sc-4je940" }) `
  display: flex;

  > * {
    padding-left: 8px;
    padding-bottom: 8px;
  }
`;
const StyledDiv = styled.div.withConfig({ displayName: "brc-sc-StyledDiv", componentId: "brc-sc-2php8q" }) `
  padding-bottom: 8px;
`;
const StyledInput = styled(Input).withConfig({ displayName: "brc-sc-StyledInput", componentId: "brc-sc-hb3bd2" }) `
  display: hidden;
`;
const BlueBorderDiv = styled.div.withConfig({ displayName: "brc-sc-BlueBorderDiv", componentId: "brc-sc-1cjjsck" }) `
  border: 1px solid none;
  border-radius: 20px;
  padding: 20px;
  width: 85%;
  margin: 10px auto;
`;
const HeaderSectionTC = styled.div.withConfig({ displayName: "brc-sc-HeaderSectionTC", componentId: "brc-sc-qglb5n" }) `
  text-align: center;
`;
const StyledCopy = styled(Copy).withConfig({ displayName: "brc-sc-StyledCopy", componentId: "brc-sc-f4tg8q" }) `
  padding-bottom: 8px;
`;
const entriesPolyFill = (obj) => objectKeys(obj).map((key) => [key, obj[key]]);
const usStates = entriesPolyFill(USStatesAndTerritories).map(([label, value]) => ({ label, value }));
/**
- When prefilling the form it first takes priority from fields saved in localstorage, then it used any fields passed in via the `initialValues` prop.

- `onFormSubmit` is required and should submit the values to Pardot/S3.

- `dispatchOpenInfoDrawer` is required and should be a dispatch that fires the action to open the client's info drawer.

- If `shouldShowLoginPrompt` is true then `loginPromptUrl` and `onLoginPromptDismiss` also need to be passed in. `onLoginPromptDismiss` should be a function that changes the state of `shouldShowLoginPrompt` to false.

- if `shouldShowPasswordField` it will show an additon field to collect a password and the `onFormSubmit` will recieve a second argument with the login info(password, email). This is so the password won't accidently get passed along with the rest of the form values.
 */
export const MiniSBAPaycheckProtectionProgramForm = ({ initialValues = {}, isSubmittingForm = false, onFormSubmit = () => { }, dispatchOpenInfoDrawer = () => { }, shouldShowPasswordField = false, headerHelperText = '', primaryContactNameValue = '', emailAddressValue = '', contactPhoneValue = '', businessLegalNameValue = '', addressValue = '', cityValue = '', stateValue = '', zipCodeValue = '', dbaValue = '', businessTypeValue = '', termsOfServiceBool = false, secondDraw = '', shouldShowHasReceivedSecondPPPDraw = false, termsHref = '', shouldShowDocumentation = false, privatePolicy = '', isClover = false, referrerID = '', }) => {
    const defaultDirectory = 'illustrations';
    const hiddenValue = isClover ? 'Clover' : referrerID;
    // const { callback: debouncedSetCachedValues = () => {} } = useDebouncedCallback(setCachedValues, 750)
    const handleSubmit = (_a = {}) => {
        var { emailAddress, password } = _a, rest = __rest(_a, ["emailAddress", "password"]);
        const cleanedValues = Object.assign({ version: 4, // Increment the version each time the shape of data changes
            emailAddress }, rest);
        const loginInfo = shouldShowPasswordField && { emailAddress, password };
        onFormSubmit(cleanedValues, loginInfo);
    };
    return (_jsx(Formik, { enableReinitialize: true, initialValues: Object.assign({ primaryContact: primaryContactNameValue || '', emailAddress: emailAddressValue || '', primaryContactPhone: contactPhoneValue || '', businessLegalName: businessLegalNameValue || '', secondDraw: secondDraw || '', address: addressValue || '', city: cityValue || '', state: stateValue || '', zipCode: zipCodeValue || '', dba: dbaValue || '', businessType: businessTypeValue || '', password: '', termsOfService: termsOfServiceBool, partnerField: hiddenValue }, initialValues), onSubmit: handleSubmit, validate: (_a) => {
            // debouncedSetCachedValues(restOfValues)  // Update the cache as things change
            var { password } = _a, restOfValues = __rest(_a, ["password"]);
            const { primaryContact, emailAddress, primaryContactPhone, businessLegalName, address, city, state, zipCode, businessType, termsOfService, secondDraw, } = restOfValues;
            const PHONE_REGEX = /^\d{3}-\d{3}-\d{4}$/;
            const REQUIRED_MESSAGE = 'Required';
            const PHONE_MESSAGE = 'Phone number is invalid';
            return Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (!primaryContact && {
                primaryContact: [REQUIRED_MESSAGE],
            })), (primaryContact.length > 121 && {
                primaryContact: ['Primary Contact must be 121 characters or less'],
            })), (!emailAddress.match(
            // eslint-disable-next-line no-control-regex
            /(?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9]))\.){3}(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9])|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])/) && {
                emailAddress: ['Enter a valid email'],
            })), (!primaryContactPhone.match(PHONE_REGEX) && {
                primaryContactPhone: [PHONE_MESSAGE],
            })), (primaryContactPhone &&
                primaryContactPhone === 'xxx-xxx-xxxx' && {
                primaryContactPhone: [REQUIRED_MESSAGE],
            })), (!businessLegalName && { businessLegalName: [REQUIRED_MESSAGE] })), (businessLegalName.length > 255 && {
                businessLegalName: ['Business Name must be 255 characters or less'],
            })), (!address && { address: [REQUIRED_MESSAGE] })), (!city && { city: [REQUIRED_MESSAGE] })), (!state && { state: [REQUIRED_MESSAGE] })), (!zipCode.match(/^\d{5}$/) && {
                zipCode: ['We need your 5-digit ZIP Code'],
            })), (!businessType && { businessType: [REQUIRED_MESSAGE] })), (shouldShowHasReceivedSecondPPPDraw && !secondDraw && { secondDraw: [REQUIRED_MESSAGE] })), (!termsOfService && { termsOfService: [REQUIRED_MESSAGE] })), (shouldShowPasswordField &&
                passwordValidator(password).length && {
                password: passwordValidator(password),
            }));
        }, children: ({ values, isValid, errors, touched, handleChange, handleBlur, handleSubmit, submitCount }) => (_jsxs(StyledForm, { "data-testid": "paycheck-protection-program:form", onSubmit: handleSubmit, children: [_jsx(StyledHeader, { size: "xl", children: "Paycheck Protection Program (PPP)" }), _jsx(StyledSubHeader, { children: headerHelperText ||
                        'Additional PPP funds will be made available in January 2021. Get started on your payment protection program (PPP) application today.' }), _jsxs(StyledStandardCard, { children: [_jsxs(CardHeader, { bold: true, children: ["Primary Contact Information", '  ', !isClover && (_jsx(StyledIcon, { "data-testid": "ppp-form:info-drawer:primary-contact", name: "actions/circle-faq", onClick: () => dispatchOpenInfoDrawer({
                                        children: (_jsx(InfodrawerCopyWrapper, { children: _jsx(Copy, { children: "This person will be the primary contact for the application and will be emailed regarding this application." }) })),
                                        title: 'Primary contact information',
                                    }) }))] }), _jsx(StyledDiv, { children: _jsx(Input, { hasSpaceForErrors: true, name: "primaryContact", label: "Primary Contact Name", value: values.primaryContact, onBlur: handleBlur, onChange: handleChange, isInvalid: touched.primaryContact && !!errors.primaryContact, errors: touched.primaryContact && errors.primaryContact ? errors.primaryContact : undefined, "data-testid": "ppp-form:input:primary-contact" }) }), _jsxs(StyledDiv, { children: [_jsx(Input, { hasSpaceForErrors: true, label: "Best Email Address", type: "email", name: "emailAddress", value: values.emailAddress, onBlur: handleBlur, onChange: handleChange, isInvalid: touched.emailAddress && !!errors.emailAddress, errors: touched.emailAddress && errors.emailAddress ? errors.emailAddress : undefined, "data-testid": "ppp-form:input:primary-email-address" }), _jsx(FlexDiv, { children: _jsxs(Copy, { size: "xs", light: true, bold: true, children: ["Use the same email in your PPP loan application.", ' '] }) })] }), _jsxs(StyledDiv, { children: [_jsx(Input, { hasSpaceForErrors: true, label: "Best Contact Phone Number", placeholder: "xxx-xxx-xxxx", name: "primaryContactPhone", value: values.primaryContactPhone && VMasker.toPattern(values.primaryContactPhone, '999-999-9999'), onBlur: handleBlur, onChange: (event) => {
                                        event.target.value = VMasker.toPattern(event.target.value, '999-999-9999');
                                        handleChange(event);
                                    }, isInvalid: touched.primaryContactPhone && !!errors.primaryContactPhone, errors: touched.primaryContactPhone && errors.primaryContactPhone ? errors.primaryContactPhone : undefined, "data-testid": "ppp-form:input:primary-contact-phone" }), _jsx(FlexDiv, { children: _jsxs(Copy, { size: "xs", light: true, bold: true, children: ["Please enter your contact phone number above.", ' '] }) })] }), shouldShowHasReceivedSecondPPPDraw && (_jsxs(GridRow, { children: [_jsx(Copy, { bold: true, children: "Have you previously received PPP funds?" }), _jsx(Select, { hasSpaceForErrors: true, isInvalid: touched.secondDraw && !!errors.secondDraw, label: "Please make a selection", name: "secondDraw", onBlur: handleBlur, onChange: handleChange, value: values.secondDraw, options: ['Yes', 'No'], errors: touched.secondDraw && !!errors.secondDraw ? errors.secondDraw : undefined, "data-testid": "ppp-form:select:secondDraw" })] }))] }), _jsxs(StyledStandardCard, { children: [_jsxs(CardHeader, { bold: true, children: ["Business Information", '  ', !isClover && (_jsx(StyledIcon, { "data-testid": "ppp-form:info-drawer:business-information", name: "actions/circle-faq", onClick: () => dispatchOpenInfoDrawer({
                                        children: (_jsxs(InfodrawerCopyWrapper, { "data-testid": "ppp-form:info-drawer:dba", children: [_jsx(Copy, { children: "Information about the business applying for funds through the Paycheck Protection Program." }), _jsxs(Copy, { children: [_jsx(Text, { "$bold": true, children: "Doing Business As (DBA):" }), " A company is said to be \"doing business as\" when the name under which they operate their business differs from its legal, registered name."] }), _jsxs(Copy, { children: [_jsx(Text, { "$bold": true, children: "Tradename:" }), " A trade name, trading name, or business name is a name used by companies that don't want to operate under their registered name."] })] })),
                                        title: 'Business information',
                                    }) }))] }), _jsx(Input, { hasSpaceForErrors: true, name: "businessLegalName", label: "Business Legal Name", type: "text", value: values.businessLegalName, onBlur: handleBlur, onChange: handleChange, isInvalid: touched.businessLegalName && !!errors.businessLegalName, errors: touched.businessLegalName && errors.businessLegalName ? errors.businessLegalName : undefined, "data-testid": "ppp-form:input:business-legal-name" }), _jsx(Input, { errors: touched.address && errors.address ? errors.address : undefined, hasSpaceForErrors: true, isInvalid: touched.address && !!errors.address, label: "Business Address", name: "address", onBlur: handleBlur, onChange: handleChange, value: values.address, "data-testid": "ppp-form:input:business-address" }), _jsx(Input, { errors: touched.city && errors.city ? errors.city : undefined, hasSpaceForErrors: true, isInvalid: touched.city && !!errors.city, label: "City", masktype: "city", name: "city", onBlur: handleBlur, onChange: handleChange, value: values.city, "data-testid": "ppp-form:input:business-city" }), _jsxs(TwoColumn, { children: [_jsx(Select, { errors: touched.state && errors.state ? errors.state : undefined, hasSpaceForErrors: true, isInvalid: touched.state && !!errors.state, label: "State", name: "state", type: "text", onBlur: handleBlur, onChange: handleChange, options: usStates, value: values.state, "data-testid": "ppp-form:input:business-state" }), _jsx(Input, { errors: touched.zipCode && errors.zipCode ? errors.zipCode : undefined, hasSpaceForErrors: true, isInvalid: touched.zipCode && !!errors.zipCode, label: "ZIP Code", name: "zipCode", onBlur: handleBlur, onChange: handleChange, value: VMasker.toPattern(values.zipCode, '99999-9999'), "data-testid": "ppp-form:input:business-zip" })] }), _jsx(Select, { hasSpaceForErrors: true, isInvalid: touched.businessType && !!errors.businessType, label: "Entity Type", name: "businessType", onBlur: handleBlur, onChange: handleChange, value: values.businessType, options: [
                                'Sole Proprietor',
                                'Partnership',
                                'C-Corp',
                                'S-Corp',
                                'LLC',
                                'Independent Contractor',
                                'Eligible Self Employed',
                                '501(c)(3) Non-Profit',
                                '501(c)(19) Veterans Organization',
                                'Tribal business (sec. 31(b)(2)(C) of Small Business Act)',
                                'Other',
                            ], errors: touched.businessType && !!errors.businessType ? errors.businessType : undefined, "data-testid": "ppp-form:select:dba-businessType" }), _jsx(StyledInput, { type: "hidden", name: "partnerField", value: values.partnerField })] }), shouldShowDocumentation && (_jsxs(StyledStandardCard, { children: [_jsxs(HeaderSection, { children: [_jsx(Header, { size: "lg", children: "Documentation to have ready" }), _jsx(Copy, { children: "Use the following checklist to gather the documentation that you need to complete your PPP loan application. Having these ready will speed up the application process." })] }), _jsxs(BulletSection, { children: [_jsx("div", {}), _jsxs(CopySection, { children: [_jsx(Header, { bold: true, children: "SBA Loan Number of First PPP loan (Applies only to second-draw PPP loan applicants)" }), _jsx(StyledCopy, { children: "Be sure to accurately indicate whether you are applying for a first-draw or second-draw PPP loan. If you are applying for a second-draw PPP loan, you must provide the SBA loan number for the first PPP loan you obtained in 2020. SBA loan numbers (PLP) have eight numbers followed by a dash then two more numbers (i.e., XXXXXXXX-XX)." })] })] }), _jsxs(BulletSection, { children: [_jsx("div", {}), _jsxs(CopySection, { children: [_jsx(Header, { bold: true, children: "CARES Act Report - Only for those with payroll (Not self-employed)" }), _jsxs(StyledCopy, { children: ["If you're using a payroll provider they should be able to provide you a CARES Act report. Having this ready allows your loan processing team to review your loan quicker.", ' '] })] })] }), _jsxs(BulletSection, { children: [_jsx("div", {}), _jsxs(CopySection, { children: [_jsx(Header, { size: "sm", children: "Tax Documents for 2019 (or 2020 if using 2020 payroll)" }), _jsx(StyledCopy, { children: "If you don\u2019t have a CARES Act report, you may upload tax documents instead. The required tax document will depend on your business\u2019s entity type." })] })] }), _jsxs(BulletSection, { children: [_jsx("div", {}), _jsxs(CopySection, { children: [_jsx(Header, { size: "sm", children: "Documentation of Reduction in Receipts (Applies only to second-draw PPP loans over $150,000)" }), _jsx(StyledCopy, { children: "For a second-draw PPP loan, you must provide documentation showing at least a 25% reduction in gross receipts annually or in at least one quarter in 2020 when compared to the same quarter in 2019. (Alternative calculations may apply for those not in business all of 2019.) Acceptable documentation may include quarterly financial statements; quarterly or monthly bank statements showing deposits from the relevant quarters; or annual IRS income tax filings (if using an annual reference period)." })] })] }), _jsxs(BulletSection, { children: [_jsx("div", {}), _jsxs(CopySection, { children: [_jsx(Header, { size: "sm", children: "Bank Account Information" }), _jsx(StyledCopy, { children: "You will need the account number and routing number for your business checking account. You can find this information on your bank statement, by logging into your bank\u2019s website, or from one of your business checks." })] })] }), _jsxs(BulletSection, { children: [_jsx("div", {}), _jsxs(CopySection, { children: [_jsx(Header, { size: "sm", children: "Driver\u2019s License or Passport Number" }), _jsx(StyledCopy, { children: "Have your driver\u2019s license or passport handy so you can enter the identification number of one of them on your loan application." })] })] })] })), _jsxs(StyledStandardCard, { children: [shouldShowPasswordField && (_jsxs(CreateAccountWrapper, { children: [_jsx(StyledCDNAsset, { directory: defaultDirectory, height: "126px", filename: "CARES-app-thank+you.png" }), _jsx(CreateAccountHeader, { children: "Save all your information to a free Nav account and access more financing options available for your business." }), _jsx(Input, { hasSpaceForErrors: true, type: "password", name: "password", onChange: handleChange, onBlur: handleBlur, value: values.password, label: "Password", errors: touched.password && errors.password ? errors.password : undefined, isInvalid: touched.password && !!errors.password, "data-testid": "ppp-form:input:password" })] })), _jsxs(BlueBorderDiv, { children: [_jsx(HeaderSectionTC, { children: _jsx(Header, { children: "Check the box before submitting" }) }), _jsx(LegalCheckbox, { hasSpaceForErrors: true, name: "termsOfService", label: _jsxs(Copy, { children: [privatePolicy ||
                                                `Information is gathered in accordance with Nav’s Privacy Policy. By checking this box, I confirm that
                  I have read and agree to Nav’s `, _jsx("a", { href: termsHref || `https://www.nav.com/terms/`, target: "_blank", rel: "noopener noreferrer", "data-testid": "pp-form:terms-service-link", children: "Terms of Service" }), ", including the", ' ', _jsx("a", { href: "https://www.nav.com/privacy/", target: "_blank", rel: "noopener noreferrer", "data-testid": "pp-form:privacy-link", children: "Privacy Policy" }), "."] }), checked: values.termsOfService, onChange: handleChange, onBlur: handleBlur, errors: touched.termsOfService && errors.termsOfService ? errors.termsOfService : undefined, isInvalid: touched.termsOfService && !!errors.termsOfService, "data-testid": "pp-form:terms-of-service" }), !isEmpty(errors.totalPercent) && _jsx(ErrorsMessage, { children: errors.totalPercent[0] }), !!objectKeys(errors).length && !isValid && submitCount > 0 && (_jsx(ErrorsMessage, { children: "Please complete all required fields before submitting your application." })), _jsx(SubmitButton, { size: "extraLarge", type: "submit", 
                                    // Disable only if submit has been attempted before
                                    disabled: (isSubmittingForm || !!objectKeys(errors).length) && submitCount, "data-testid": "pp-form:submit-cta", isLoading: isSubmittingForm, children: "Submit" })] }), _jsx(DisclaimerText, { light: true, children: "Please keep in mind this information is changing rapidly and is based on our current understanding of the programs. Please do not rely solely on information provided here for your financial decisions." })] })] })) }));
};
//# sourceMappingURL=mini-sba-form.js.map