declare const variantStylesMap: {
    readonly neutral: import("styled-components").RuleSet<object>;
    readonly positive: import("styled-components").RuleSet<object>;
    readonly information: import("styled-components").RuleSet<object>;
    readonly improvement: import("styled-components").RuleSet<object>;
    readonly negative: import("styled-components").RuleSet<object>;
};
type Variant = keyof typeof variantStylesMap;
/**
The `<Pill />` can be used to display information or status.

#### Usage:

```
<Pill variant='positive'>Active</Pill>
```

#### Props:

`variant` is a required props. All html native attributes and event handlers are optional, such as `id`, `onClick`, etc.
 */
export declare const Pill: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {
    variant?: Variant;
}>> & string;
export {};
