import { Property } from 'csstype';
import { Theme } from './types.js';
export declare const ProgressBarSection: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
type ProgressBarProps = {
    percent: number;
    className?: string;
    bgColor?: Property.BackgroundColor | ((prop: {
        theme: Theme;
    }) => Property.BackgroundColor);
};
/**
`ProgressBar` is an animated progress bar.
The `percent` prop is required, `bgColor` is optional and will use the default color if not provided.

```
<ProgressBar bgColor={theme.mermaidGreen500} percent={50} />

```
 */
export declare const ProgressBar: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<ProgressBarProps, never>> & string & Omit<({ bgColor, percent, className }: ProgressBarProps) => import("react/jsx-runtime").JSX.Element, keyof import("react").Component<any, {}, any>>;
export {};
