import { Property } from 'csstype';
import { ThemeColor } from './types.js';
type ProgressStepsProps = {
    steps: number;
    stepsComplete: number;
    className?: string;
    FilledBgColor?: Property.BackgroundColor | ThemeColor;
    EmptyBgColor?: Property.BackgroundColor | ThemeColor;
};
/**
`ProgressSteps` is an animated progress bar.
The `steps` and `stepsComplete` props are required, `bgColor` is optional and will use the default color if not provided.

```
<ProgressSteps bgColor="navStatusPositive" steps={5} stepsComplete={3} />

```
 */
export declare const ProgressSteps: ({ steps, stepsComplete, FilledBgColor, EmptyBgColor, className, }: ProgressStepsProps) => import("react/jsx-runtime").JSX.Element;
export {};
