var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef, useEffect } from 'react';
import { styled, css } from 'styled-components';
import { Copy } from './copy.js';
import { focusWithoutScroll } from '@navinc/utils';
const getLabelStyling = css `
  margin: 0;
  padding: 0;
  color: ${({ $isInvalid, theme }) => ($isInvalid ? theme.error : 'inherit')};
`;
const getFillColor = (theme, disabled, isInvalid) => {
    return isInvalid ? theme.onError : theme.navNeutralLight;
};
const getBorderColor = (theme, disabled, isInvalid, checked) => {
    if (isInvalid)
        return theme.error;
    return checked ? theme.primary : theme.navNeutral300;
};
const getIndicatorColor = (theme, checked, isInvalid) => {
    if (checked)
        return isInvalid ? theme.error : theme.primary;
    return 'transparent';
};
const CopyLabel = styled(Copy).withConfig({ displayName: "brc-sc-CopyLabel", componentId: "brc-sc-1i5pgjh" }) `
  ${getLabelStyling}
`;
const DivLabel = styled.div.withConfig({ displayName: "brc-sc-DivLabel", componentId: "brc-sc-1w7bh9n" }) `
  ${getLabelStyling}
`;
const RadioItem = styled.label.withConfig({ displayName: "brc-sc-RadioItem", componentId: "brc-sc-v8832y" }) `
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  flex: 1 1 auto;
  margin-bottom: 0;
  cursor: pointer;
  text-align: left;
  ${({ asideContent, hasBorder, theme }) => (asideContent || hasBorder) &&
    `
    border-radius: 8px;
    border: 1px solid ${theme.navNeutral300};
    padding: 14px 16px;
    min-height: 24px;
  `}

  ${({ checked, checkedBackgroundColor }) => checked &&
    checkedBackgroundColor &&
    `
    background-color: ${checkedBackgroundColor};
    border-color: ${checkedBackgroundColor};
  `}

  & > :first-child {
    margin-right: 16px;
  }
`;
const AsideContainer = styled.div.withConfig({ displayName: "brc-sc-AsideContainer", componentId: "brc-sc-14i65a8" }) `
  display: flex;
  flex: 1;
  justify-content: flex-end;
  margin-left: 8px;
`;
const RadioIndicator = styled.input.attrs(() => ({ type: 'radio' })).withConfig({ displayName: "brc-sc-RadioIndicator", componentId: "brc-sc-1rpucu4" }) `
  box-sizing: border-box;
  border-radius: 50%;
  background-color: ${({ checked, isInvalid, theme }) => getIndicatorColor(theme, checked, isInvalid)};
  height: 12px;
  width: 12px;
  appearance: none;
  margin: 0;
  font-size: inherit;
  transition: background-color 300ms ease;
`;
const RadioSpot = styled.div.withConfig({ displayName: "brc-sc-RadioSpot", componentId: "brc-sc-aej2ef" }) `
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  border-radius: 50%;
  border-style: solid;
  border-width: 1px;
  border-color: ${({ disabled, checked, isInvalid, theme }) => getBorderColor(theme, disabled, isInvalid, checked)};
  background: ${({ disabled, isInvalid, theme }) => getFillColor(theme, disabled, isInvalid)};
  opacity: ${({ disabled }) => disabled && '38%'};
  height: 24px;
  flex: 0 0 auto;
  width: 24px;
  transition: box-shadow 300ms ease;

  &:focus-within {
    box-shadow: 0 0 0 1px ${({ theme }) => theme.primary};

    & > ${RadioIndicator} {
      outline: none;
    }
  }
`;
const UnstyledRadio = (_a) => {
    var { asideContent, autoFocus, checkedBackgroundColor, children: _children, label, className, checked, disabled, hasBorder, isInvalid } = _a, props = __rest(_a, ["asideContent", "autoFocus", "checkedBackgroundColor", "children", "label", "className", "checked", "disabled", "hasBorder", "isInvalid"]);
    const inputRef = useRef(null);
    useEffect(() => {
        if (autoFocus && inputRef.current) {
            focusWithoutScroll(inputRef.current);
        }
    }, [autoFocus]);
    const Label = (typeof label === 'string' ? CopyLabel : DivLabel);
    return (_jsxs(RadioItem, { asideContent: asideContent, checked: checked, className: className, hasBorder: hasBorder, checkedBackgroundColor: checkedBackgroundColor, children: [_jsx(RadioSpot, { checked, disabled, isInvalid, children: _jsx(RadioIndicator, Object.assign({ checked, disabled, isInvalid }, props, { ref: inputRef })) }), _jsx(Label, { "$isInvalid": isInvalid, children: label }), asideContent && _jsx(AsideContainer, { children: asideContent })] }));
};
/**
 * @deprecated This component is deprecated and will be removed in a future release. Avoid using it in new code.
 */
export const Radio = styled(UnstyledRadio).withConfig({ displayName: "brc-sc-Radio", componentId: "brc-sc-w1lf9u" }) ``;
//# sourceMappingURL=radio.js.map