var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Children } from 'react';
import { styled } from 'styled-components';
import { Banner } from './banner.js';
import { Copy } from './copy.js';
import { Header } from './header.js';
import { Link } from './link.js';
const StyledBanner = styled(Banner).withConfig({ displayName: "brc-sc-StyledBanner", componentId: "brc-sc-1g2u7ai" }) `
  margin: 16px 0;
`;
const List = styled(({ children, type = 'unordered', className, }) => type === 'ordered' ? (_jsx("ol", { className: className, children: Children.map(children, function (child, i) {
        return _jsx("li", { children: child }, i);
    }) })) : (_jsx("ul", { className: className, children: Children.map(children, function (child, i) {
        return _jsx("li", { children: child }, i);
    }) }))).withConfig({ displayName: "brc-sc-List", componentId: "brc-sc-1i6qrqv" }) `
  list-style: initial;
  margin-left: 16px;

  & > li {
    margin-bottom: 8px;
  }

  & > li:last-child {
    margin-bottom: 0;
  }
`;
const Section = styled.div.withConfig({ displayName: "brc-sc-Section", componentId: "brc-sc-nlm2r2" }) `
  & > ${Header} {
    margin-top: 16px;
  }
  & > ${List} {
    margin-top: 16px;
    margin-bottom: 16px;
  }
  & > ${Copy} + ${Copy} {
    margin-top: 16px;
  }
`;
const SubSection = styled.div.withConfig({ displayName: "brc-sc-SubSection", componentId: "brc-sc-ymzeba" }) `
  margin-top: 24px;

  & ${Copy}, & ${List} {
    margin-top: 8px;
  }
`;
const SubHeader = (_a) => {
    var { children } = _a, props = __rest(_a, ["children"]);
    return (_jsx(Copy, Object.assign({ size: "lg", bold: true }, props, { children: children })));
};
/**
 * For the FAQ, `disasterLoansArticleLink`, `businessCreditReportLink`, and `contactUsLink` are required props.
 */
export const CARESActSBAFAQ = styled(({ className, hideTitle, forgivenessInfoLink = '/partner/education/resources', eidlGrantsArticleLink = '/partner/education/resources', }) => {
    return (_jsxs(Section, { className: className, children: [!hideTitle && _jsx(Header, { size: "xs", children: "PPP Loan FAQs" }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "What Does Payroll Include?" }), _jsxs(List, { children: [_jsx(Copy, { children: "Salary, wages, commissions or similar compensation" }), _jsx(Copy, { children: "Payment of cash tips or equivalent (based on employer records of past tips or, in the absence of such records, a reasonable, good-faith employer estimate of such tips)" }), _jsx(Copy, { children: "Payment for vacation, parental, family, medical, or sick leave;" }), _jsx(Copy, { children: "Payment required for the provisions of employee benefits including insurance premiums (employer cost);" }), _jsx(Copy, { children: "Payment of any retirement benefit;" }), _jsx(Copy, { children: "Payment of any retirement benefit (employer cost);" }), _jsx(Copy, { children: "Payment of State or local tax assessed on the compensation of employees." }), _jsx(Copy, { children: "New: group life, disability, vision, or dental insurance" })] }), _jsx(Copy, { bold: true, children: "It Does Not Include" }), _jsxs(List, { children: [_jsx(Copy, { children: "The compensation of an individual in an amount that is more than $100,000 on an annualized basis, as prorated for the period during which the compensation is paid or the obligation to pay the compensation is incurred;" }), _jsx(Copy, { children: "Any compensation of an employee whose principal place of residence is outside the United States;" }), _jsx(Copy, { children: "Qualified sick and family leave wages for which a credit is allowed under sections 7001 and 7003 of the Families First Coronavirus Response Act" }), _jsx(Copy, { children: "Do not include rent, mortgage interest or utility payments when calculating your loan amount. Do not include payments to contractors you pay on a 1099 basis. They can apply for PPP themselves." })] })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "I don\u2019t have employees. Can I still qualify?" }), _jsx(Copy, { children: "Self-employed individuals and independent contractors with no employees who file IRS Form 1040 Schedule C may qualify based on the 2019 net income for their business, as reported on line 31 of Schedule C." })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "Do I qualify for a first-time PPP loan?" }), _jsx(Copy, { children: "To qualify for a Paycheck Protection Program loan, you must be a small business as defined by the SBA. This includes:" }), _jsxs(List, { children: [_jsx(Copy, { children: "Small businesses or non-profit 501(c)(3) organizations with 500 or fewer employees" }), _jsx(Copy, { children: "Small businesses, 501(c)(19) veteran\u2019s organizations or tribal concerns that meet the SBA size standards (See the 2020 SBA size standards here.)" }), _jsx(Copy, { children: "Sole proprietors or independent contractors" })] }), _jsx(Copy, { children: "Businesses in the food or hospitality industry (NAICS codes beginning in 72) may be eligible on a per-location basis." }), _jsx(Copy, { children: "In addition, the normal affiliation rules are waived for franchises or businesses receiving financial assistance from a Small Business Investment Company." }), _jsx(Copy, { children: "Your business must have been operational by February 15, 2020." })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "Do I qualify for a second PPP loan?" }), _jsxs(Copy, { children: ["To qualify for a second PPP loan, in addition to the requirements above, your business must also have:", _jsxs(List, { type: "ordered", children: [_jsx(Copy, { children: "No more than 300 employees and" }), _jsx(Copy, { children: "At least a 25% reduction in revenues in at least one quarter in 2020 when compared to previous quarters." })] })] })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "How is the 25% reduction in revenue calculated?" }), _jsx(Copy, { children: "Compare gross receipts of the business for any quarter in 2020 to the same quarter in 2019 to determine if revenues decreased by at least 25%." }), _jsx(Copy, { children: "If you were not in business during the first or second quarter of 2019 but you were in business in the third and fourth quarter of 2019, you may compare any quarter in 2020 with the third or fourth quarter of 2019." }), _jsx(Copy, { children: "If you were not in business during the first, second or third quarter of 2019, but you were in business in the fourth quarter of 2019, you may compare any quarter in 2020 with the fourth quarter of 2019." }), _jsx(Copy, { children: "A business that wasn\u2019t in business in 2019 but was in business before February 15, 2020 will compare gross receipts from the second, third or fourth quarter of 2020 to that first quarter of 2020." })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "How much can I borrow?" }), _jsx(Copy, { children: "Businesses may borrow 2.5 times the average monthly payroll, either based on the year before the loan is made or 2019. However, businesses with a NAICS industry code starting with 72 (hospitality industry) may qualify for a second draw PPP loan of 3.5 times the average monthly payroll." }), _jsx(Copy, { children: "The maximum loan amount is $2 million for second draw PPP loans and $10 million for first-time PPP loans." })] }), _jsxs(SubSection, { children: [_jsx(Header, { children: "Is this the free SBA grant money I heard about?" }), _jsxs(Copy, { children: ["No. The advance (or grant) of up to $10,000 is part of the Economic Injury Disaster Loan program, not Paycheck Protection Loans. If eligible, you may apply for both.", ' ', _jsx(Link, { target: "_blank", rel: "noreferrer", href: eidlGrantsArticleLink, children: "Read about new EIDL grants here" }), "."] })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "Where can I get one of these loans?" }), _jsx(Copy, { children: "Individual lenders, including many banks, credit unions and some online lenders make these loans." }), _jsxs(Copy, { children: ["Learn more about PPP loans, including how you may use funds and how forgiveness works", ' ', _jsx(Link, { target: "_blank", rel: "noreferrer", href: forgivenessInfoLink, children: "here" }), "."] })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "Is there a personal credit check?" }), _jsx(Copy, { children: "None is required. A few lenders checked credit in the first round of PPP; check with your lender if this is a concern." })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "Is there a personal guarantee?" }), _jsx(Copy, { children: "No. There is no personal guarantee required. In addition, these will be non-recourse loans as long as proceeds are used for covered purposes. (Non-recourse means the government won\u2019t be able to collect if you default.)" })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "Is collateral required?" }), _jsx(Copy, { children: "No. Normally SBA loans for more than $25,000 require collateral. That requirement is waived for these loans." })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "How soon do I have to start making payments?" }), _jsx(Copy, { children: "Payments will be deferred until forgiveness is determined." })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "How long will these loans be available?" }), _jsx(Copy, { children: "They are currently available through March 31, 2021 if funds remain available." })] }), _jsxs(SubSection, { children: [_jsx(SubHeader, { children: "Can these loans be forgiven?" }), _jsx(Copy, { children: "You can request forgiveness of the principal portion of the loan which covers:" }), _jsxs(List, { children: [_jsx(Copy, { children: "Payroll costs" }), _jsx(Copy, { children: "Interest on a mortgage" }), _jsx(Copy, { children: "Rent" }), _jsx(Copy, { children: "Utilities" }), _jsx(Copy, { children: "Covered operations expenditure" }), _jsx(Copy, { children: "Covered property damage cost" }), _jsx(Copy, { children: "Covered supplier cost" }), _jsx(Copy, { children: "Covered worker protection expenditure" })] }), _jsx(Copy, { children: "At least 60% of loan proceeds must be spent on payroll and payroll-related expenses. Forgiveness may be reduced if you reduce full-time equivalent employment hours and/or salaries and wages, with exceptions. Rehiring employees may mitigate reductions in the amount that can be forgiven." })] }), _jsxs(SubSection, { children: [_jsx(Copy, { bold: true, children: "In addition:" }), _jsxs(List, { children: [_jsx(Copy, { children: "Payroll includes the costs listed under the section \u201CWhat Does Payroll Include?\u201D above." }), _jsx(Copy, { children: "Forgiven debt is not taxable." })] }), _jsxs(Copy, { children: ["Additional information about forgiveness is available", ' ', _jsx(Link, { target: "_blank", rel: "noreferrer", href: forgivenessInfoLink, children: "here" }), "."] })] }), _jsxs(SubSection, { children: [_jsx(StyledBanner, { type: "positiveAction", icon: "actions/circle-info", title: "Please note:", copy: "There are specific and technical calculations included in this section of the law, and you should not rely on this description to determine whether to keep employees, reduce employee wages or to determine your eligibility for loan forgiveness." }), _jsx(StyledBanner, { type: "warning", icon: "actions/circle-warning", copy: "Please keep in mind this information is changing rapidly and is based on our current understanding of the\n        programs. It can and likely will change. Although we will be monitoring and updating this as new information\n        becomes available, please do not rely solely on this for your financial decisions." })] })] }));
}).withConfig({ displayName: "brc-sc-CARESActSBAFAQ", componentId: "brc-sc-1juv1ck" }) ``;
//# sourceMappingURL=sba-faq.js.map