import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { StyleSheetManager, ThemeProvider } from 'styled-components';
import { MemoryRouter, Route, Switch } from 'react-router-dom';
// eslint-disable-next-line no-restricted-imports -- only allowed here - this extends render to include our required providers
import { render } from '@testing-library/react';
import { theme } from '../theme.js';
import { ToastProvider } from '../toast-hook.js';
import { shouldForwardProp } from '../is-prop-valid.js';
export const withAppContext = (ComponentIn) => (props) => (_jsx(ThemeProvider, { theme: theme, children: _jsx(ComponentIn, Object.assign({}, props)) }));
export const renderWithContext = (ui, options = {}) => {
    let routeProps;
    const getRouteProps = () => routeProps;
    const { initialEntries = ['/'] } = options;
    const Context = ({ children }) => (_jsx(StyleSheetManager, { shouldForwardProp: shouldForwardProp, children: _jsx(ToastProvider, { children: _jsx(ThemeProvider, { theme: theme, children: _jsx(MemoryRouter, { initialEntries: initialEntries, children: _jsxs(Switch, { children: [_jsx(Route, { path: new URL(initialEntries[initialEntries.length - 1], 'http://local').pathname, render: (props) => {
                                    routeProps = props;
                                    return children;
                                } }), _jsx(Route, { render: (props) => {
                                    routeProps = props;
                                    return null;
                                } })] }) }) }) }) }));
    const view = render(ui, Object.assign({ wrapper: Context }, options));
    return Object.assign(Object.assign({}, view), { getRouteProps });
};
//# sourceMappingURL=with-app-context.js.map