import { media, mediaQuery } from './media.js';
import { space, spacing } from './spacing.js';
import { elevations } from './elevation.js';
import { radius } from './radius.js';
export const colors = {
    red20: '#2C0309',
    red30: '#4F151D',
    red40: '#732A33',
    red50: '#9A414A',
    red60: '#B4656A',
    red70: '#CE888B',
    red80: '#E7ACAE',
    red90: '#FFD1D2',
    red100: '#FFF6F7',
    redBright50: '#D83025',
    redBright80: '#F28B82',
    yellow20: '#16140F',
    yellow30: '#302C1F',
    yellow40: '#4D462F',
    yellow50: '#6C623F',
    yellow60: '#8D7F50',
    yellow70: '#AF9D61',
    yellow80: '#D2BD73',
    yellow90: '#F4DD90',
    yellow100: '#FFFFBD',
    yellowBright50: '#F9AB00',
    yellowBright80: '#FFC74D',
    green20: '#001C0B',
    green30: '#053620',
    green40: '#1B5337',
    green50: '#3F6E54',
    green60: '#638B73',
    green70: '#87A894',
    green80: '#ACC5B5',
    green90: '#D2E4D9',
    green100: '#F8FFFC',
    greenBright40: '#198039',
    greenBright80: '#6FDC8D',
    teal20: '#00191A',
    teal30: '#003335',
    teal40: '#0B4F51',
    teal50: '#326B6D',
    teal60: '#598889',
    teal70: '#7EA5A6',
    teal80: '#A5C3C3',
    teal90: '#CCE2E2',
    teal100: '#F4FFFF',
    tealBright60: '#2CB3B6',
    tealBright80: '#4CEBEB',
    blue20: '#011430',
    blue30: '#0E2C52',
    blue40: '#224777',
    blue50: '#38639C',
    blue60: '#5B81B4',
    blue70: '#7FA0CC',
    blue80: '#A5C0E4',
    blue90: '#CBE0FC',
    blue100: '#F2FFFF',
    blueBright40: '#1B72E4',
    blueBright80: '#66A5FA',
    purple20: '#140638',
    purple30: '#2A1C5E',
    purple40: '#433487',
    purple50: '#5E4DB2',
    purple60: '#7A6FC8',
    purple70: '#9891DE',
    purple80: '#B8B4F3',
    purple90: '#D9D6FF',
    purple100: '#FBFAFF',
    purpleBright50: '#705CD6',
    purpleBright80: '#938CF2',
    primeBlue0: '#121027',
    primeBlue5: '#17193D',
    primeBlue10: '#1F2651',
    primeBlue15: '#273664',
    primeBlue20: '#304777',
    primeBlue25: '#395A8A',
    primeBlue30: '#426F9C',
    primeBlue35: '#4C86AE',
    primeBlue40: '#569EC0',
    primeBlue45: '#60B7D2',
    primeBlue50: '#6AD1E3',
    primeBlue55: '#77D7E8',
    primeBlue60: '#84DDEC',
    primeBlue65: '#91E2F0',
    primeBlue70: '#9FE7F4',
    primeBlue75: '#AEECF7',
    primeBlue80: '#BDF1FA',
    primeBlue85: '#CCF5FC',
    primeBlue90: '#DCF8FD',
    primeBlue95: '#ECFCFE',
    primeBlue100: '#FDFFFF',
    neutral0: '#000000',
    neutral4: '#0E0E11',
    neutral5: '#111114',
    neutral6: '#131316',
    neutral10: '#1B1B1F',
    neutral12: '#1F1F23',
    neutral17: '#2A2A2D',
    neutral20: '#303034',
    neutral22: '#353438',
    neutral24: '#39393C',
    neutral25: '#3C3B3F',
    neutral30: '#47464A',
    neutral35: '#535256',
    neutral40: '#5F5E62',
    neutral50: '#78767A',
    neutral60: '#929094',
    neutral70: '#ADABAE',
    neutral80: '#C8C6C9',
    neutral87: '#DCDBDC',
    neutral90: '#E4E3E4',
    neutral92: '#EAE9EA',
    neutral94: '#EFEFEF',
    neutral95: '#F2F2F2',
    neutral96: '#F5F4F5',
    neutral98: '#FBFAFB',
    neutral99: '#FDFDFD',
    neutral100: '#FFFFFF',
    neutralVariant0: '#000000',
    neutralVariant4: '#0D0E15',
    neutralVariant5: '#101018',
    neutralVariant6: '#12131A',
    neutralVariant10: '#1B1B23',
    neutralVariant12: '#1F1F27',
    neutralVariant17: '#292931',
    neutralVariant20: '#303038',
    neutralVariant22: '#34343C',
    neutralVariant24: '#383841',
    neutralVariant25: '#3B3B43',
    neutralVariant30: '#46464F',
    neutralVariant35: '#52525B',
    neutralVariant40: '#5E5D67',
    neutralVariant50: '#777680',
    neutralVariant60: '#91909A',
    neutralVariant70: '#ACAAB4',
    neutralVariant80: '#C7C5D0',
    neutralVariant87: '#DBD9E4',
    neutralVariant90: '#E3E1EC',
    neutralVariant92: '#E9E7F2',
    neutralVariant94: '#EFECF8',
    neutralVariant95: '#F2EFFA',
    neutralVariant96: '#F5F2FD',
    neutralVariant98: '#FBF8FF',
    neutralVariant99: '#FFFBFF',
    neutralVariant100: '#FFFFFF',
};
const deprecatedColors = {
    // Primary
    /** * @deprecated */
    navPurple100: '#FFF5FF',
    /** * @deprecated */
    navPurple200: '#FAEAFA',
    /** * @deprecated */
    navPurple300: '#F5D5F6',
    /** * @deprecated */
    navPurple400: '#894487',
    /** * @deprecated */
    navPurple500: '#6E2C6D',
    /** * @deprecated */
    navPurple600: '#541355',
    /** * @deprecated */
    navPurple700: '#37003A',
    // Neutral
    /** * @deprecated */
    navNeutral: '#F7F7F8',
    /** * @deprecated */
    navNeutral0: '#FFFFFF',
    /** * @deprecated */
    navNeutral100: '#EEECED',
    /** * @deprecated */
    navNeutral200: '#DDD9DB',
    /** * @deprecated */
    navNeutral300: '#CFC9CC',
    /** * @deprecated */
    navNeutral400: '#605058',
    /** * @deprecated */
    navNeutral500: '#3E2B36',
    /** * @deprecated */
    navNeutral600: '#18001A',
    // Surface
    /** * @deprecated */
    navTan100: '#FAFAF5',
    /** * @deprecated */
    navTan200: '#F7F3E9',
    /** * @deprecated */
    navTan300: '#F1E9DA',
    /** * @deprecated */
    navTan400: '#E3D3B5',
    /** * @deprecated */
    navTan500: '#C7A76B',
    /** * @deprecated */
    navTan600: '#976041',
    // Accent
    /** * @deprecated */
    navOrange100: '#FFF7F5',
    /** * @deprecated */
    navOrange200: '#FFEDE9',
    /** * @deprecated */
    navOrange300: '#FFDAD2',
    /** * @deprecated */
    navOrange400: '#F79680',
    /** * @deprecated */
    navOrange500: '#F47356',
    /** * @deprecated */
    navOrange600: '#F2502C',
    /** * @deprecated */
    navOrange700: '#CE3C1C',
    /** * @deprecated */
    navGreen100: '#F9FBFB',
    /** * @deprecated */
    navGreen200: '#E7F3F2',
    /** * @deprecated */
    navGreen300: '#C1E1DC',
    /** * @deprecated */
    navGreen400: '#14CCCC',
    /** * @deprecated */
    navGreen500: '#00A7AF',
    /** * @deprecated */
    navGreen600: '#007980',
    /** * @deprecated */
    navGreen700: '#004B4F',
    // Status
    /** * @deprecated */
    navRed100: '#FFF5F5',
    /** * @deprecated */
    navRed200: '#FEE6E6',
    /** * @deprecated */
    navRed300: '#FED1D1',
    /** * @deprecated */
    navRed400: '#F75656',
    /** * @deprecated */
    navRed500: '#EE3030',
    /** * @deprecated */
    navRed600: '#D50707',
    /** * @deprecated */
    navRed700: '#8B0404',
    // old colors:
    /** * @deprecated */
    oceanBoat: '#0075BC',
    /** * @deprecated */
    belugaWhite: '#FFFFFF',
    /** * @deprecated */
    scuttleGray100: '#F5F6F7',
    /** * @deprecated */
    scuttleGray200: '#ECEDEF',
    /** * @deprecated */
    scuttleGray300: '#D0D2D6',
    /** * @deprecated */
    scuttleGray400: '#919499',
    /** * @deprecated */
    scuttleGray500: '#6E717A',
    /** * @deprecated */
    scuttleGray600: '#06142A',
    /** * @deprecated */
    mermaidGreen100: '#E5FBF8',
    /** * @deprecated */
    mermaidGreen200: '#CBF7F1',
    /** * @deprecated */
    mermaidGreen300: '#A9F2E7',
    /** * @deprecated */
    mermaidGreen400: '#87EDDE',
    /** * @deprecated */
    mermaidGreen500: '#53E5D0',
    /** * @deprecated */
    bubbleBlue100: '#F2F8FF',
    /** * @deprecated */
    bubbleBlue200: '#E6F1FF',
    /** * @deprecated */
    bubbleBlue300: '#99C5FD',
    /** * @deprecated */
    bubbleBlue400: '#66A8FC',
    /** * @deprecated */
    bubbleBlue500: '#0069F0',
    /** * @deprecated */
    sebastianRed100: '#FFF2F8',
    /** * @deprecated */
    sebastianRed200: '#E1030A',
    /** * @deprecated */
    flounderYellow100: '#FFF6EC',
    /** * @deprecated */
    flounderYellow200: '#FFC90C',
    /** * @deprecated */
    seaturtleGreen100: '#E8FFF5',
    /** * @deprecated */
    seaturtleGreen200: '#36B37E',
    /** * @deprecated */
    lightRed: '#E87979',
    /** * @deprecated */
    tumbleweed: '#EFA88C',
    /** * @deprecated */
    tumbleweed100: '#F8D9CD',
    /** * @deprecated */
    seaFoam100: '#D0F0E1',
    /** * @deprecated */
    seaFoam: '#96DDBC',
};
export const deprecatedThemeColors = {
    // Primary shades
    /** * @deprecated */
    navPrimary: deprecatedColors.navPurple600,
    /** * @deprecated */
    navPrimary100: deprecatedColors.navPurple100,
    /** * @deprecated */
    navPrimary200: deprecatedColors.navPurple200,
    /** * @deprecated */
    navPrimary300: deprecatedColors.navPurple300,
    /** * @deprecated */
    navPrimary400: deprecatedColors.navPurple400,
    /** * @deprecated */
    navPrimary500: deprecatedColors.navPurple500,
    /** * @deprecated */
    navPrimary700: deprecatedColors.navPurple700,
    // Secondary shades
    /** * @deprecated */
    navSecondary: deprecatedColors.navTan200,
    /** * @deprecated */
    navSecondary100: deprecatedColors.navTan100,
    /** * @deprecated */
    navSecondary300: deprecatedColors.navTan300,
    /** * @deprecated */
    navSecondary400: deprecatedColors.navTan400,
    /** * @deprecated */
    navSecondary500: deprecatedColors.navTan500,
    /** * @deprecated */
    navSecondary600: deprecatedColors.navTan600,
    // Neutral shades
    /** * @deprecated */
    navNeutral: deprecatedColors.navNeutral,
    /** * @deprecated */
    navNeutralLight: deprecatedColors.navNeutral0,
    /** * @deprecated */
    navNeutralDark: deprecatedColors.navNeutral600,
    /** * @deprecated */
    navNeutral100: deprecatedColors.navNeutral100,
    /** * @deprecated */
    navNeutral200: deprecatedColors.navNeutral200,
    /** * @deprecated */
    navNeutral300: deprecatedColors.navNeutral300,
    /** * @deprecated */
    navNeutral400: deprecatedColors.navNeutral400,
    /** * @deprecated */
    navNeutral500: deprecatedColors.navNeutral500,
    // Accent shades
    /** * @deprecated */
    navAccent: deprecatedColors.navOrange600,
    /** * @deprecated */
    navAccent100: deprecatedColors.navOrange100,
    /** * @deprecated */
    navAccent200: deprecatedColors.navOrange200,
    /** * @deprecated */
    navAccent300: deprecatedColors.navOrange300,
    /** * @deprecated */
    navAccent400: deprecatedColors.navOrange400,
    /** * @deprecated */
    navAccent500: deprecatedColors.navOrange500,
    /** * @deprecated */
    navAccent700: deprecatedColors.navOrange700,
    // Status positive shades
    /** * @deprecated */
    navStatusPositive: deprecatedColors.navGreen600,
    /** * @deprecated */
    navStatusPositive100: deprecatedColors.navGreen100,
    /** * @deprecated */
    navStatusPositive200: deprecatedColors.navGreen200,
    /** * @deprecated */
    navStatusPositive300: deprecatedColors.navGreen300,
    /** * @deprecated */
    navStatusPositive400: deprecatedColors.navGreen400,
    /** * @deprecated */
    navStatusPositive500: deprecatedColors.navGreen500,
    /** * @deprecated */
    navStatusPositive700: deprecatedColors.navGreen700,
    // Status negative shades
    /** * @deprecated */
    navStatusNegative: deprecatedColors.navRed600,
    /** * @deprecated */
    navStatusNegative100: deprecatedColors.navRed100,
    /** * @deprecated */
    navStatusNegative200: deprecatedColors.navRed200,
    /** * @deprecated */
    navStatusNegative300: deprecatedColors.navRed300,
    /** * @deprecated */
    navStatusNegative400: deprecatedColors.navRed400,
    /** * @deprecated */
    navStatusNegative500: deprecatedColors.navRed500,
    /** * @deprecated */
    navStatusNegative700: deprecatedColors.navRed700,
    // Primary Colors:
    /** * @deprecated */
    azure: deprecatedColors.navPurple600,
    /** * @deprecated */
    oceanBoat: deprecatedColors.oceanBoat,
    /** * @deprecated */
    belugaWhite: deprecatedColors.belugaWhite,
    /** * @deprecated */
    white: deprecatedColors.belugaWhite,
    // New Gray Shades:
    /** * @deprecated */
    scuttleGray100: deprecatedColors.scuttleGray100,
    /** * @deprecated */
    scuttleGray200: deprecatedColors.scuttleGray200,
    /** * @deprecated */
    scuttleGray300: deprecatedColors.scuttleGray300,
    /** * @deprecated */
    scuttleGray400: deprecatedColors.scuttleGray400,
    /** * @deprecated */
    scuttleGray500: deprecatedColors.scuttleGray500,
    /** * @deprecated */
    scuttleGray600: deprecatedColors.scuttleGray600,
    // Neutral Grays:
    /** * @deprecated */
    neutral100: deprecatedColors.scuttleGray100,
    /** * @deprecated */
    neutral200: deprecatedColors.scuttleGray200,
    /** * @deprecated */
    neutral300: deprecatedColors.scuttleGray300,
    /** * @deprecated */
    neutral400: deprecatedColors.scuttleGray500,
    /** * @deprecated */
    neutral500: deprecatedColors.scuttleGray600,
    // General Palette for Other Colors
    /** * @deprecated */
    mermaidGreen100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    mermaidGreen200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    mermaidGreen300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    mermaidGreen400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    mermaidGreen500: deprecatedColors.mermaidGreen500,
    // Secondary Colors - TODO Deprecate
    /** * @deprecated */
    paleGold100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    paleGold200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    paleGold300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    paleGold400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    paleGold500: deprecatedColors.mermaidGreen500,
    /** * @deprecated */
    rose100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    rose200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    rose300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    rose400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    rose500: deprecatedColors.mermaidGreen500,
    /** * @deprecated */
    greenSheen100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    greenSheen200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    greenSheen300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    greenSheen400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    greenSheen500: deprecatedColors.mermaidGreen500,
    /** * @deprecated */
    mossGreen100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    mossGreen200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    mossGreen300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    mossGreen400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    mossGreen500: deprecatedColors.mermaidGreen500,
    /** * @deprecated */
    tan100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    tan200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    tan300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    tan400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    tan500: deprecatedColors.mermaidGreen500,
    /** * @deprecated */
    timberwolf100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    timberwolf200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    timberwolf300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    timberwolf400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    timberwolf500: deprecatedColors.mermaidGreen500,
    /** * @deprecated */
    gainsboro100: deprecatedColors.mermaidGreen100,
    /** * @deprecated */
    gainsboro200: deprecatedColors.mermaidGreen200,
    /** * @deprecated */
    gainsboro300: deprecatedColors.mermaidGreen300,
    /** * @deprecated */
    gainsboro400: deprecatedColors.mermaidGreen400,
    /** * @deprecated */
    gainsboro500: deprecatedColors.mermaidGreen500,
    // Secondary Blue Shades
    /** * @deprecated */
    bubbleBlue100: deprecatedColors.bubbleBlue100,
    /** * @deprecated */
    bubbleBlue200: deprecatedColors.bubbleBlue200,
    /** * @deprecated */
    bubbleBlue300: deprecatedColors.bubbleBlue300,
    /** * @deprecated */
    bubbleBlue400: deprecatedColors.bubbleBlue400,
    /** * @deprecated */
    bubbleBlue500: deprecatedColors.bubbleBlue500,
    /** * @deprecated */
    pastelBlue100: deprecatedColors.bubbleBlue100,
    /** * @deprecated */
    pastelBlue200: deprecatedColors.bubbleBlue200,
    /** * @deprecated */
    pastelBlue300: deprecatedColors.bubbleBlue300,
    /** * @deprecated */
    pastelBlue400: deprecatedColors.bubbleBlue400,
    /** * @deprecated */
    pastelBlue500: deprecatedColors.bubbleBlue500,
    /** * @deprecated */
    lightBlue100: deprecatedColors.bubbleBlue100,
    /** * @deprecated */
    lightBlue200: deprecatedColors.bubbleBlue200,
    /** * @deprecated */
    lightBlue300: deprecatedColors.bubbleBlue300,
    /** * @deprecated */
    lightBlue400: deprecatedColors.bubbleBlue400,
    /** * @deprecated */
    lightBlue500: deprecatedColors.bubbleBlue500,
    // Status Colors - V2
    /** * @deprecated */
    sebastianRed100: deprecatedColors.sebastianRed100,
    /** * @deprecated */
    sebastianRed200: deprecatedColors.sebastianRed200,
    /** * @deprecated */
    flounderYellow100: deprecatedColors.flounderYellow100,
    /** * @deprecated */
    flounderYellow200: deprecatedColors.flounderYellow200,
    /** * @deprecated */
    seaturtleGreen100: deprecatedColors.seaturtleGreen100,
    /** * @deprecated */
    seaturtleGreen200: deprecatedColors.seaturtleGreen200,
    // Status Colors:
    /** * @deprecated */
    copperRed100: deprecatedColors.sebastianRed100,
    /** * @deprecated */
    copperRed200: deprecatedColors.sebastianRed200,
    /** * @deprecated */
    lightRed: deprecatedColors.lightRed,
    /** * @deprecated */
    tumbleweed: deprecatedColors.tumbleweed,
    /** * @deprecated */
    tumbleweed100: deprecatedColors.tumbleweed100,
    /** * @deprecated */
    tuscan100: deprecatedColors.flounderYellow100,
    /** * @deprecated */
    tuscan200: deprecatedColors.flounderYellow200,
    /** * @deprecated */
    seaFoam100: deprecatedColors.seaFoam100,
    /** * @deprecated */
    seaFoam: deprecatedColors.seaFoam,
    /** * @deprecated */
    oceanGreen100: deprecatedColors.seaturtleGreen100,
    /** * @deprecated */
    oceanGreen200: deprecatedColors.seaturtleGreen200,
    // By Use Case:
    /** * @deprecated */
    good: deprecatedColors.navGreen600,
    /** * @deprecated */
    semigood: deprecatedColors.navGreen600,
    /** * @deprecated */
    fair: deprecatedColors.navTan600,
    /** * @deprecated */
    semipoor: deprecatedColors.navRed600,
    /** * @deprecated */
    poor: deprecatedColors.navRed600,
    // Transparent Colors: (For animations)
    /** * @deprecated */
    transparentWhite: 'rgba(255, 255, 255, 0)',
    /** * @deprecated */
    transparentBlack: 'rgba(0, 0, 0, 0)',
    /** * @deprecated */
    transparentRed: 'rgba(225, 3, 10, 0.25)',
    /** * @deprecated */
    focusOutline: `4px solid ${deprecatedColors.navGreen500}`,
    /** * @deprecated */
    success: deprecatedColors.seaturtleGreen200,
    /** * @deprecated */
    warning: deprecatedColors.sebastianRed200,
    /** * @deprecated */
    error: deprecatedColors.sebastianRed200,
    /** * @deprecated */
    notice: deprecatedColors.navPurple600,
    /** * @deprecated */
    pagebg: deprecatedColors.scuttleGray100,
    /** * @deprecated */
    border: deprecatedColors.navNeutral300,
};
export const deprecatedStatusColors = {
    good: {
        backgroundColor: deprecatedColors.seaturtleGreen100,
        color: deprecatedThemeColors.good,
    },
    semigood: {
        backgroundColor: deprecatedColors.seaFoam100,
        color: deprecatedThemeColors.semigood,
    },
    fair: {
        backgroundColor: deprecatedColors.flounderYellow100,
        color: deprecatedThemeColors.fair,
    },
    semipoor: {
        backgroundColor: deprecatedColors.tumbleweed100,
        color: deprecatedThemeColors.semipoor,
    },
    poor: {
        backgroundColor: deprecatedColors.sebastianRed100,
        color: deprecatedThemeColors.poor,
    },
};
export const baseTheme = Object.assign(Object.assign({ name: 'base-theme', 
    // Colors
    colors: Object.assign({}, deprecatedThemeColors) }, deprecatedThemeColors), { statusColors: Object.assign({}, deprecatedStatusColors), 
    /** * @deprecated */
    colorRainbow: [
        deprecatedColors.navPurple400,
        deprecatedColors.navOrange600,
        deprecatedColors.navGreen600,
        deprecatedColors.navTan600,
        deprecatedColors.navNeutral400,
        deprecatedColors.navRed600,
    ], 
    // Fonts
    fontPrimary: 'Inter, sans-serif', fontSecondary: 'Manrope, sans-serif', 
    // Grid related things
    /** * @deprecated */
    gu: (units = 0) => `${units * 8}px`, 
    /** * @deprecated */
    contentWidth: 696, 
    /** * @deprecated */
    goldenRatio: (1 + Math.sqrt(5)) / 2, 
    // media constants
    media,
    // media query for various breakpoints
    mediaQuery, 
    /** @deprecated
     * Use the mediaQuery instead. eg `theme.mediaQuery.largerThanPhone`
     */
    forLargerThanPhone: 'min-width: 600px', materialTransitionTiming: 'cubic-bezier(0.4, 0.0, 0.2, 1)', spacing,
    space,
    radius,
    elevations });
//# sourceMappingURL=base-theme.js.map