/**
 * `xs`: Phones, < 768px
 *
 * `sm`: Tablets, 768px - 1024px
 *
 * `md`: Laptops, 1024px - 1280px
 *
 * `lg`: Desktops, > 1280px
 *
 * `small` and `large` are deprecated
 */
export declare const media: {
    readonly xs: "768px";
    readonly sm: "1024px";
    /** @deprecated
     * use `sm` instead
     */
    readonly small: "600px";
    readonly md: "1280px";
    /** @deprecated
     * use `lg` instead
     */
    readonly large: "1440px";
    readonly lg: "1280px";
};
export declare const mediaQueryFragments: {
    readonly onlyPhones: "(max-width: 768px)";
    readonly largerThanPhone: "(min-width: 768px)";
    readonly onlyTablets: "(min-width: 768px) and (max-width: 1024px)";
    readonly largerThanTablet: "(min-width: 1024px)";
    readonly onlyLaptops: "(min-width: 1024px) and (max-width: 1280px)";
    readonly largerThanLaptop: "(min-width: 1280px)";
    readonly onlyDesktops: "(min-width: 1280px)";
};
export declare const mediaQuery: {
    readonly onlyPhones: "@media (max-width: 768px)";
    readonly largerThanPhone: "@media (min-width: 768px)";
    readonly onlyTablets: "@media (min-width: 768px) and (max-width: 1024px)";
    readonly largerThanTablet: "@media (min-width: 1024px)";
    readonly onlyLaptops: "@media (min-width: 1024px) and (max-width: 1280px)";
    readonly largerThanLaptop: "@media (min-width: 1280px)";
    readonly onlyDesktops: "@media (min-width: 1280px)";
};
