import { colors, baseTheme } from './base-theme.js';
/**
 * This is the theme used when the theme prop is set to 'dark'.
 * The only values that differ from other theme files are in `themeColors`.
 *
 * If you add or remove values from `themeColors` you must do so in the adjacent `nav-light.ts` file as well.
 */
const themeColors = {
    // Error
    error: colors.red80,
    onError: colors.red20,
    errorContainer: colors.red40,
    onErrorContainer: colors.red90,
    errorBright: colors.redBright80,
    // Warn
    warn: colors.yellow80,
    onWarn: colors.yellow20,
    warnContainer: colors.yellow40,
    onWarnContainer: colors.yellow90,
    warnBright: colors.yellowBright80,
    // Success
    success: colors.green80,
    onSuccess: colors.green20,
    successContainer: colors.green30,
    onSuccessContainer: colors.green90,
    successBright: colors.greenBright80,
    // Super
    super: colors.teal80,
    onSuper: colors.teal20,
    superContainer: colors.teal50,
    onSuperContainer: colors.teal90,
    superBright: colors.tealBright80,
    // Info
    info: colors.blue80,
    onInfo: colors.blue20,
    infoContainer: colors.blue50,
    onInfoContainer: colors.blue90,
    infoBright: colors.blueBright80,
    // Primary
    primary: colors.purple60,
    onPrimary: colors.purple100,
    primaryContainer: colors.purple50,
    onPrimaryContainer: colors.purple90,
    inversePrimary: colors.purple40,
    primaryDim: colors.purple80,
    primaryBright: colors.purpleBright80,
    // Prime
    prime: colors.primeBlue50,
    primeDim: colors.primeBlue25,
    onPrime: colors.primeBlue10,
    primeContainer: colors.primeBlue0,
    onPrimeContainer: colors.primeBlue100,
    // Surfaces and backgrounds
    background: colors.neutral4,
    surface: colors.neutral6,
    surfaceDim: colors.neutral12,
    surfaceBright: colors.neutral24,
    surfaceContainer: colors.neutral12,
    surfaceContainerLow: colors.neutral10,
    surfaceContainerLowest: colors.neutral4,
    surfaceContainerHigh: colors.neutral17,
    surfaceContainerHighest: colors.neutral22,
    onSurface: colors.neutral90,
    onSurfaceVariant: colors.neutralVariant80,
    onSurfaceDim: colors.neutral30,
    outline: colors.neutralVariant60,
    outlineVariant: colors.neutralVariant30,
    inverseSurface: colors.neutral90,
    inverseOnSurface: colors.neutral20,
};
/**
 * @deprecated Use tailwind instead
 */
export const theme = Object.assign(Object.assign(Object.assign(Object.assign({}, baseTheme), { name: 'nav-dark' }), themeColors), { colors: Object.assign(Object.assign({}, baseTheme.colors), themeColors) });
//# sourceMappingURL=nav-dark.js.map