import { colors, baseTheme } from './base-theme.js';
/**
 * This is the theme used when the theme prop is set to 'light'.
 * The only values that differ from other theme files are in `themeColors`.
 *
 * If you add or remove values from `themeColors` you must do so in the adjacent `nav-dark.ts` file as well.
 */
const themeColors = {
    // Error
    error: colors.red50,
    onError: colors.red100,
    errorContainer: colors.red90,
    onErrorContainer: colors.red40,
    errorBright: colors.redBright50,
    // Warn
    warn: colors.yellow50,
    onWarn: colors.yellow100,
    warnContainer: colors.yellow90,
    onWarnContainer: colors.yellow40,
    warnBright: colors.yellowBright50,
    // Success
    success: colors.green40,
    onSuccess: colors.green100,
    successContainer: colors.green90,
    onSuccessContainer: colors.green40,
    successBright: colors.greenBright40,
    // Super
    super: colors.teal60,
    onSuper: colors.teal100,
    superContainer: colors.teal90,
    onSuperContainer: colors.teal40,
    superBright: colors.tealBright60,
    // Info
    info: colors.blue40,
    onInfo: colors.blue100,
    infoContainer: colors.blue90,
    onInfoContainer: colors.blue40,
    infoBright: colors.blueBright40,
    // Primary
    primary: colors.purple50,
    onPrimary: colors.purple100,
    primaryContainer: colors.purple90,
    onPrimaryContainer: colors.purple40,
    inversePrimary: colors.purple80,
    primaryDim: colors.purple20,
    primaryBright: colors.purpleBright50,
    // Prime
    prime: colors.primeBlue50,
    primeDim: colors.primeBlue25,
    onPrime: colors.primeBlue10,
    primeContainer: colors.primeBlue0,
    onPrimeContainer: colors.primeBlue100,
    // Surfaces and backgrounds
    background: colors.neutral99,
    surface: colors.neutral100,
    surfaceDim: colors.neutral94,
    surfaceBright: colors.neutral100,
    surfaceContainer: colors.neutral100,
    surfaceContainerLow: colors.neutral96,
    surfaceContainerLowest: colors.neutral94,
    surfaceContainerHigh: colors.neutral100,
    surfaceContainerHighest: colors.neutral100,
    onSurface: colors.neutral10,
    onSurfaceVariant: colors.neutralVariant40,
    onSurfaceDim: colors.neutral70,
    outline: colors.neutralVariant50,
    outlineVariant: colors.neutralVariant87,
    inverseSurface: colors.neutral20,
    inverseOnSurface: colors.neutral95,
};
/**
 * @deprecated Use tailwind instead
 */
export const theme = Object.assign(Object.assign(Object.assign(Object.assign({}, baseTheme), { name: 'nav-light' }), themeColors), { colors: Object.assign(Object.assign({}, baseTheme.colors), themeColors) });
//# sourceMappingURL=nav-light.js.map