export declare const spaceKeyNumbers: readonly [0, 25, 50, 75, 100, 150, 200, 250, 300, 350, 400, 500, 600, 800, 1000];
export type SpaceKeyNumber = (typeof spaceKeyNumbers)[number];
export type SpaceKey = `space${SpaceKeyNumber}`;
export declare const spacing: {
    readonly space0: "0px";
    readonly space25: "2px";
    readonly space50: "4px";
    readonly space75: "6px";
    readonly space100: "8px";
    readonly space150: "12px";
    readonly space200: "16px";
    readonly space250: "20px";
    readonly space300: "24px";
    readonly space350: "28px";
    readonly space400: "32px";
    readonly space500: "40px";
    readonly space600: "48px";
    readonly space800: "64px";
    readonly space1000: "80px";
};
/**
 * Returns a string of space values separated by spaces.
 *
 * @example
 * space(200) // '16px'
 * space(200, 400) // '16px 32px'
 * space(200, 400, 600) // '16px 32px 48px'
 * space(200, 400, 600, 800) // '16px 32px 48px 64px'
 */
export declare const space: (...spacesNumbers: SpaceKeyNumber[]) => string;
