import { Config } from 'tailwindcss';
export declare const themeColors: {
    readonly light: {
        readonly error: "#9A414A";
        readonly onError: "#FFF6F7";
        readonly errorContainer: "#FFD1D2";
        readonly onErrorContainer: "#732A33";
        readonly errorBright: "#D83025";
        readonly warn: "#6C623F";
        readonly onWarn: "#FFFFBD";
        readonly warnContainer: "#F4DD90";
        readonly onWarnContainer: "#4D462F";
        readonly warnBright: "#F9AB00";
        readonly success: "#1B5337";
        readonly onSuccess: "#F8FFFC";
        readonly successContainer: "#D2E4D9";
        readonly onSuccessContainer: "#1B5337";
        readonly successBright: "#198039";
        readonly super: "#598889";
        readonly onSuper: "#F4FFFF";
        readonly superContainer: "#CCE2E2";
        readonly onSuperContainer: "#0B4F51";
        readonly superBright: "#2CB3B6";
        readonly info: "#224777";
        readonly onInfo: "#F2FFFF";
        readonly infoContainer: "#CBE0FC";
        readonly onInfoContainer: "#224777";
        readonly infoBright: "#1B72E4";
        readonly primary: "#5E4DB2";
        readonly onPrimary: "#FBFAFF";
        readonly primaryContainer: "#D9D6FF";
        readonly onPrimaryContainer: "#433487";
        readonly inversePrimary: "#B8B4F3";
        readonly primaryDim: "#140638";
        readonly primaryBright: "#705CD6";
        readonly background: "#FDFDFD";
        readonly surface: "#FFFFFF";
        readonly surfaceDim: "#EFEFEF";
        readonly surfaceBright: "#FFFFFF";
        readonly surfaceContainer: "#FFFFFF";
        readonly surfaceContainerLow: "#F5F4F5";
        readonly surfaceContainerLowest: "#EFEFEF";
        readonly surfaceContainerHigh: "#FFFFFF";
        readonly surfaceContainerHighest: "#FFFFFF";
        readonly onSurface: "#1B1B1F";
        readonly onSurfaceVariant: "#5E5D67";
        readonly onSurfaceDim: "#ADABAE";
        readonly outline: "#777680";
        readonly outlineVariant: "#DBD9E4";
        readonly inverseSurface: "#303034";
        readonly inverseOnSurface: "#F2F2F2";
        readonly prime: "#6AD1E3";
        readonly primeDim: "#395A8A";
        readonly onPrime: "#1F2651";
        readonly primeContainer: "#121027";
        readonly onPrimeContainer: "#FDFFFF";
    };
    readonly dark: {
        readonly error: "#E7ACAE";
        readonly onError: "#2C0309";
        readonly errorContainer: "#732A33";
        readonly onErrorContainer: "#FFD1D2";
        readonly errorBright: "#F28B82";
        readonly warn: "#D2BD73";
        readonly onWarn: "#16140F";
        readonly warnContainer: "#4D462F";
        readonly onWarnContainer: "#F4DD90";
        readonly warnBright: "#FFC74D";
        readonly success: "#ACC5B5";
        readonly onSuccess: "#001C0B";
        readonly successContainer: "#053620";
        readonly onSuccessContainer: "#D2E4D9";
        readonly successBright: "#6FDC8D";
        readonly super: "#A5C3C3";
        readonly onSuper: "#00191A";
        readonly superContainer: "#326B6D";
        readonly onSuperContainer: "#CCE2E2";
        readonly superBright: "#4CEBEB";
        readonly info: "#A5C0E4";
        readonly onInfo: "#011430";
        readonly infoContainer: "#38639C";
        readonly onInfoContainer: "#CBE0FC";
        readonly infoBright: "#66A5FA";
        readonly primary: "#7A6FC8";
        readonly onPrimary: "#FBFAFF";
        readonly primaryContainer: "#5E4DB2";
        readonly onPrimaryContainer: "#D9D6FF";
        readonly inversePrimary: "#433487";
        readonly primaryDim: "#B8B4F3";
        readonly primaryBright: "#938CF2";
        readonly background: "#0E0E11";
        readonly surface: "#131316";
        readonly surfaceDim: "#1F1F23";
        readonly surfaceBright: "#39393C";
        readonly surfaceContainer: "#1F1F23";
        readonly surfaceContainerLow: "#1B1B1F";
        readonly surfaceContainerLowest: "#0E0E11";
        readonly surfaceContainerHigh: "#2A2A2D";
        readonly surfaceContainerHighest: "#353438";
        readonly onSurface: "#E4E3E4";
        readonly onSurfaceVariant: "#C7C5D0";
        readonly onSurfaceDim: "#47464A";
        readonly outline: "#91909A";
        readonly outlineVariant: "#46464F";
        readonly inverseSurface: "#E4E3E4";
        readonly inverseOnSurface: "#303034";
        readonly prime: "#6AD1E3";
        readonly primeDim: "#395A8A";
        readonly onPrime: "#1F2651";
        readonly primeContainer: "#121027";
        readonly onPrimeContainer: "#FDFFFF";
    };
};
export declare const tailwindColorsPlugin: {
    handler: import("tailwindcss/types/config.js").PluginCreator;
    config?: Partial<import("tailwindcss/types/config.js").Config>;
};
export declare const tailwindTheme: Config['theme'];
