var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx } from "react/jsx-runtime";
import { describe, expect, it, vi } from 'vitest';
import { screen, waitFor } from '@testing-library/react';
import userEvent from '@testing-library/user-event';
import { ThemeProvider } from 'styled-components';
import { theme } from './theme.js';
import { Toggle } from './toggle.js';
import { renderWithContext } from './tests/with-app-context.js';
describe('<Toggle />', () => {
    it('calls its onClick method when clicked', () => __awaiter(void 0, void 0, void 0, function* () {
        const handleClick = vi.fn();
        renderWithContext(_jsx(ThemeProvider, { theme: theme, children: _jsx(Toggle, { onClick: handleClick }) }));
        yield userEvent.click(screen.getByTestId('toggle-channel'));
        yield waitFor(() => expect(handleClick).toHaveBeenCalled());
    }));
});
//# sourceMappingURL=toggle.spec.js.map