import { useTheme } from 'styled-components';
import { useMediaQuery as muiMediaQuery } from '@mui/material';
// defaulting to no SSR.  Multiple renders are problematic for things like scroll-to - https://mui.com/material-ui/react-use-media-query/#client-side-only-rendering
export const useMediaQuery = (query, options) => muiMediaQuery(query, Object.assign({ noSsr: true }, options));
/**
 * @deprecated
 * This uses the old breakpoints.  Use `mediaQueryFragments` instead: `useMediaQuery(mediaQueryFragments.largerThanPhone)`
 */
export const useIsLargerThanPhone = () => {
    const theme = useTheme();
    return useMediaQuery(`(${theme.forLargerThanPhone})`);
};
//# sourceMappingURL=use-media-query.js.map