import * as AccordionPrimitive from '@radix-ui/react-accordion';
import { styledBackwardsCompatibility } from '../../styled-backwards-compatibility.js';
import { addClassNameTo } from '../../add-classname-to.js';
const AccordionInternal = {
    Root: styledBackwardsCompatibility(AccordionPrimitive.Root),
    Item: styledBackwardsCompatibility(AccordionPrimitive.Item),
    Header: styledBackwardsCompatibility(AccordionPrimitive.Header),
    Trigger: styledBackwardsCompatibility(AccordionPrimitive.Trigger),
    Content: addClassNameTo(AccordionPrimitive.Content, 
    /* cn */ 'overflow-hidden data-[state=open]:animate-[radixAccordionDown_300ms_cubic-bezier(0.87,0,0.13,1)] data-[state=closed]:animate-[radixAccordionUp_300ms_cubic-bezier(0.87,0,0.13,1)]'),
};
export const Accordion = AccordionInternal.Root;
Accordion.displayName = 'Accordion';
Accordion.Item = AccordionInternal.Item;
Accordion.Item.displayName = 'Accordion.Item';
Accordion.Header = AccordionInternal.Header;
Accordion.Header.displayName = 'Accordion.Header';
Accordion.Trigger = AccordionInternal.Trigger;
Accordion.Trigger.displayName = 'Accordion.Trigger';
Accordion.Content = AccordionInternal.Content;
Accordion.Content.displayName = 'Accordion.Content';
//# sourceMappingURL=accordion.js.map