import { CSSProperties, ReactNode } from 'react';
import { InferComponentProps } from '../../types.js';
import { DialogRoot, DialogTrigger } from './dialog.js';
import { Property } from 'csstype';
declare const ConfirmationContainer = "div";
declare const CenteredContainer: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components/dist/types.js").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {
    $width?: Property.Width;
}>> & string;
declare const Confirmation: ({ title, description, buttons, ...props }: Omit<InferComponentProps<typeof ConfirmationContainer>, "title"> & {
    title?: ReactNode;
    description?: ReactNode;
    buttons?: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
type CenteredDialogContainerProps = InferComponentProps<typeof CenteredContainer> & {
    contentOverlayStyle?: CSSProperties;
};
export declare const CenteredDialogContainer: ({ children, contentOverlayStyle, ...props }: CenteredDialogContainerProps) => import("react/jsx-runtime").JSX.Element;
export declare const CenterDialog: ({ open, defaultOpen, onOpenChange, modal, trigger, width, children, overlayStyle, ...props }: InferComponentProps<typeof DialogRoot> & {
    trigger?: InferComponentProps<typeof DialogTrigger>["children"];
    width?: InferComponentProps<typeof CenteredDialogContainer>["$width"];
    overlayStyle?: CSSProperties;
    contentOverlayStyle?: CSSProperties;
}) => import("react/jsx-runtime").JSX.Element;
export declare const ConfirmationDialog: ({ title, description, buttons, ...props }: InferComponentProps<typeof CenterDialog> & InferComponentProps<typeof Confirmation>) => import("react/jsx-runtime").JSX.Element;
export {};
