import { CSSProperties } from 'react';
import * as DialogPrimitive from '@radix-ui/react-dialog';
import { InferComponentProps } from '../../types.js';
import { Button } from '../button/button.js';
/** All internal styled components used to build the Dialog to allow fine-grained overrides */
export declare const DialogInternal: {
    Root: import("react").FC<DialogPrimitive.DialogProps>;
    Trigger: import("react").ForwardRefExoticComponent<DialogPrimitive.DialogTriggerProps & import("react").RefAttributes<HTMLButtonElement>>;
    Portal: import("react").FC<DialogPrimitive.DialogPortalProps>;
    Overlay: import("styled-components/dist/types.js").IStyledComponentBase<"web", import("styled-components").FastOmit<DialogPrimitive.DialogOverlayProps & import("react").RefAttributes<HTMLDivElement>, never>> & string & Omit<import("react").ForwardRefExoticComponent<DialogPrimitive.DialogOverlayProps & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
    Content: import("react").ForwardRefExoticComponent<DialogPrimitive.DialogContentProps & import("react").RefAttributes<HTMLDivElement>>;
    Title: import("react").ForwardRefExoticComponent<DialogPrimitive.DialogTitleProps & import("react").RefAttributes<HTMLHeadingElement>>;
    Description: import("react").ForwardRefExoticComponent<DialogPrimitive.DialogDescriptionProps & import("react").RefAttributes<HTMLParagraphElement>>;
    Close: import("react").ForwardRefExoticComponent<DialogPrimitive.DialogCloseProps & import("react").RefAttributes<HTMLButtonElement>>;
};
/** Unstyled content container for dialog with the overlay. */
export declare const DialogContent: import("react").ForwardRefExoticComponent<InferComponentProps<import("react").ForwardRefExoticComponent<DialogPrimitive.DialogContentProps & import("react").RefAttributes<HTMLDivElement>>> & {
    overlayStyle?: CSSProperties;
} & import("react").RefAttributes<HTMLDivElement>>;
/** Contains all the parts of a dialog. */
export declare const DialogRoot: import("react").FC<DialogPrimitive.DialogProps>;
/** The button that opens the dialog. */
export declare const DialogTrigger: import("react").ForwardRefExoticComponent<DialogPrimitive.DialogTriggerProps & import("react").RefAttributes<HTMLButtonElement>>;
/** A {@link Button} that handles closing the dialog. */
export declare const DialogCloseButton: (props: InferComponentProps<typeof Button>) => import("react/jsx-runtime").JSX.Element;
