import { FC, ReactNode } from 'react';
import * as DropdownMenu from '@radix-ui/react-dropdown-menu';
import { InferComponentProps } from '../../types.js';
export declare const DropdownMenuButtonsRoot: FC<DropdownMenu.DropdownMenuProps>;
declare const DropdownMenuContent: import("react").ForwardRefExoticComponent<DropdownMenu.DropdownMenuContentProps & import("react").RefAttributes<HTMLDivElement>>;
export declare const DropdownMenuButtonsTrigger: (props: InferComponentProps<typeof DropdownMenu.Trigger>) => import("react/jsx-runtime").JSX.Element;
export declare const DropdownMenuButtonsSeparator: (props: InferComponentProps<typeof DropdownMenu.Separator>) => import("react/jsx-runtime").JSX.Element;
type DropdownMenuItemButtonsProps = InferComponentProps<typeof DropdownMenu.Item> & {
    children?: ReactNode;
    /**
     * icon name for the button
     * @default 'arrow_forward'
     */
    iconName?: string;
    /**
     * Whether to show the icon
     * @default true
     */
    showIcon?: boolean;
    /**
     * Disable the button
     */
    disabled?: boolean;
};
export declare const DropdownMenuButtonsItem: FC<DropdownMenuItemButtonsProps>;
export declare const DropdownMenuButtonsPortalContent: ({ children, sideOffset, ...props }: InferComponentProps<typeof DropdownMenuContent>) => import("react/jsx-runtime").JSX.Element;
export {};
