import { styled, css } from 'styled-components';
import { spaceKeyNumbers } from '../../themes/spacing.js';
const flexRowMixin = css `
  display: flex;
  flex-direction: row;
`;
export const flexRowCssMap = spaceKeyNumbers.reduce((acc, spaceKeyNumber) => {
    acc[`space${spaceKeyNumber}`] = css `
      ${flexRowMixin}
      gap: ${({ theme }) => theme.spacing[`space${spaceKeyNumber}`]};
    `;
    return acc;
}, {});
const flexRowFactory = (spacingToken) => styled.div `
  ${flexRowCssMap[`space${spacingToken}`]}
`;
export const FlexRow0 = flexRowFactory(0);
export const FlexRow25 = flexRowFactory(25);
export const FlexRow50 = flexRowFactory(50);
export const FlexRow75 = flexRowFactory(75);
export const FlexRow100 = flexRowFactory(100);
export const FlexRow150 = flexRowFactory(150);
export const FlexRow200 = flexRowFactory(200);
export const FlexRow250 = flexRowFactory(250);
export const FlexRow300 = flexRowFactory(300);
export const FlexRow350 = flexRowFactory(350);
export const FlexRow400 = flexRowFactory(400);
export const FlexRow500 = flexRowFactory(500);
export const FlexRow600 = flexRowFactory(600);
export const FlexRow800 = flexRowFactory(800);
export const FlexRow1000 = flexRowFactory(1000);
//# sourceMappingURL=flex-row.js.map