import { createGlobalStyle, css } from 'styled-components';
export const globalStylesMixin = css `
  /*
    Contents from generated CSS for Material Symbols Rounded

    See https://developers.google.com/fonts/docs/material_symbols#use_in_web about 860kb (outline) and 1.1mb (rounded)
    https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@20..48,400,0..1,0
  */

  /* fallback */
  @font-face {
    font-family: 'Material Symbols Rounded';
    font-style: normal;
    font-weight: 400;
    src: url('https://fonts.gstatic.com/s/materialsymbolsrounded/v173/sykO-zNym6YjUruM-QrEh7-nyTnjDwKNJ_190FjpZIvLgyidOK7BDB_Qb9vUe2jjwjHK-P3BukXXkRzDgw.woff2')
      format('woff2');
  }

  .material-symbols-rounded {
    /* stylelint-disable-next-line font-family-no-missing-generic-family-keyword -- material symbols font-family */
    font-family: 'Material Symbols Rounded';
    /* stylelint-disable-next-line font-family-no-missing-generic-family-keyword -- icon font doesn't need generic */
    font-weight: normal;
    font-style: normal;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
  }

  /* end of generated CSS for Material Symbols Rounded */
`;
export const GlobalStyles = createGlobalStyle `
  ${globalStylesMixin}
`;
//# sourceMappingURL=global-styles.js.map