import { type LabelProps } from './label.js';
import { type HelperTextProps } from './helper-text.js';
import { ReactNode } from 'react';
export type InputWrapperProps = LabelProps & Pick<HelperTextProps, 'helperText' | 'errorText'> & {
    className?: string;
    children: ReactNode;
};
/**
 * Combines `Label` and `HelperText` in a standard use-case
 */
export declare const InputWrapper: import("react").ForwardRefExoticComponent<import("react").HTMLAttributes<HTMLLabelElement> & {
    label?: ReactNode;
    optional?: boolean;
    required?: boolean;
} & Pick<HelperTextProps, "helperText" | "errorText"> & {
    className?: string;
    children: ReactNode;
} & import("react").RefAttributes<HTMLLabelElement>>;
