import { ChangeEventHandler, FocusEventHandler, HTMLAttributes } from 'react';
import { InferComponentProps } from '../../types.js';
import { DatePickerElement } from '../../use-date-picker-input/use-date-picker-input.js';
import { Select } from '../select/select.js';
import { PatternInput } from './index.js';
declare const MonthSelect: ({ className, ...props }: Omit<InferComponentProps<typeof Select>, "children"> & {
    $error?: string;
}) => import("react/jsx-runtime").JSX.Element;
type MonthYearPickerInputProps = Omit<HTMLAttributes<HTMLDivElement>, 'onChange' | 'onBlur'> & {
    value: Date | undefined;
    name?: string;
    onChange?: ChangeEventHandler<DatePickerElement>;
    onBlur?: FocusEventHandler<HTMLElement>;
    monthProps?: Partial<Omit<InferComponentProps<typeof MonthSelect>, 'onChange'>>;
    yearProps?: Partial<Omit<InferComponentProps<typeof PatternInput>, 'onChange'>>;
    disabled?: boolean;
    $error?: string;
};
export declare const MonthYearPickerInput: ({ value, name, onBlur, onChange, className, monthProps, yearProps, disabled, $error, ...props }: MonthYearPickerInputProps) => import("react/jsx-runtime").JSX.Element;
export declare const MonthYearPickerField: import("react").ForwardRefExoticComponent<Omit<HTMLAttributes<HTMLDivElement>, "onBlur" | "onChange"> & {
    value: Date | undefined;
    name?: string;
    onChange?: ChangeEventHandler<DatePickerElement>;
    onBlur?: FocusEventHandler<HTMLElement>;
    monthProps?: Partial<Omit<InferComponentProps<typeof MonthSelect>, "onChange">>;
    yearProps?: Partial<Omit<InferComponentProps<typeof PatternInput>, "onChange">>;
    disabled?: boolean;
    $error?: string;
} & {
    error?: string;
} & import("../../types.js").DataAttributes & Pick<import("../input-components/input-wrapper.js").InputWrapperProps, "label" | "className" | "required" | "helperText" | "optional"> & import("react").RefAttributes<HTMLInputElement>>;
export {};
