/**
 * Props for the Sentiment component
 */
export interface SentimentProps {
    /**
     * The title that shows above the feedback icons
     */
    title?: string;
    /**
     * The title shown for the initial feedback notification
     */
    feedbackTitle1?: string;
    /**
     * The body text shown for the initial feedback notification
     */
    feedbackBody1?: string;
    /**
     * The title shown for the second feedback notification
     */
    feedbackTitle2?: string;
    /**
     * The body text shown for the second feedback notification
     */
    feedbackBody2?: string;
    /**
     * Callback function to handle sentiment selection
     * @param sentiment The selected sentiment
     * @param feedback Optional additional feedback
     */
    onSentimentSelect?: (sentiment: string, feedback?: string) => void;
}
export declare const Sentiment: ({ title, feedbackTitle1, feedbackBody1, feedbackTitle2, feedbackBody2, onSentimentSelect, }: SentimentProps) => import("react/jsx-runtime").JSX.Element;
