var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { Icon } from '../icon/icon.js';
import { defaultVariation } from './helpers.js';
import { addClassNameTo } from '../../add-classname-to.js';
const getIcon = (variation) => {
    switch (variation) {
        case 'success':
            return 'check_circle';
        case 'error':
            return 'error';
        case 'info':
            return 'info';
        default:
            return 'info';
    }
};
export const ToastIcon = addClassNameTo((_a) => {
    var { variation = defaultVariation, size = 'medium', name } = _a, props = __rest(_a, ["variation", "size", "name"]);
    const icon = name || getIcon(variation);
    const dataTestId = `toast-icon:${icon}`;
    return _jsx(Icon, Object.assign({}, props, { size: size, "data-testid": dataTestId, name: icon }));
}, 
/* cn */ '[grid-area:variation-icon]');
//# sourceMappingURL=toast-icon.js.map