import { ReactNode } from 'react';
import { variations } from './helpers.js';
import { CSSProperties } from 'styled-components';
import { InferComponentProps } from '../../types.js';
import { ToastContainer } from './styles.js';
export type ToastProps = Partial<InferComponentProps<typeof ToastContainer>> & {
    onOpenChange?: (open: boolean) => void;
    iconComponent?: ReactNode;
    duration?: number;
    title?: ReactNode;
    description?: ReactNode;
    shouldAutoClose?: boolean;
    className?: string;
    style?: CSSProperties;
};
export type VariationType = keyof typeof variations;
